Bug 1692075 - [abrt] qdisc_put_unlocked: NETDEV WATCHDOG: enp37s0 (r8169): transmit queue 0 timed out
Summary: [abrt] qdisc_put_unlocked: NETDEV WATCHDOG: enp37s0 (r8169): transmit queue 0...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a33be30b05e17225e4495c5b4ea...
: 1705623 1706877 1711961 1722037 1733362 1733960 1737260 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-24 02:13 UTC by Samuel
Modified: 2019-08-09 07:41 UTC (History)
67 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: dmesg (83.89 KB, text/plain)
2019-03-24 02:13 UTC, Samuel
no flags Details
dmesg (88.19 KB, text/plain)
2019-06-22 09:05 UTC, Ionut Radu
no flags Details
dmesg (95.36 KB, text/plain)
2019-06-26 05:02 UTC, Ionut Radu
no flags Details
dmesg (89.96 KB, text/plain)
2019-06-28 19:04 UTC, Ionut Radu
no flags Details
dmesg (83.06 KB, text/plain)
2019-06-30 19:25 UTC, Ionut Radu
no flags Details

Description Samuel 2019-03-24 02:13:44 UTC
Additional info:
reporter:       libreport-2.10.0
NETDEV WATCHDOG: enp37s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 11 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: uinput rfcomm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables cmac ip6table_filter ip6_tables bnep sunrpc vfat fat edac_mce_amd kvm_amd kvm snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi btusb irqbypass snd_usb_audio btrtl snd_hda_intel btbcm btintel snd_hda_codec joydev bluetooth snd_usbmidi_lib snd_hda_core wmi_bmof snd_rawmidi snd_hwdep snd_seq crct10dif_pclmul snd_seq_device snd_pcm crc32_pclmul ecdh_generic ghash_clmulni_intel rfkill snd_timer snd k10temp sp5100_tco ccp i2c_piix4 soundcore gpio_amdpt gpio_generic pcc_cpufreq acpi_cpufreq binfmt_misc fuse amdgpu
 chash amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper drm crc32c_intel r8169 nvme nvme_core wmi pinctrl_amd
CPU: 11 PID: 0 Comm: swapper/11 Not tainted 5.0.3-300.fc30.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./B450 Pro4, BIOS P1.50 11/05/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 e0 9f cf 00 01 e8 5c 72 fc ff 44 89 e1 4c 89 ee 48 c7 c7 20 75 19 a0 48 89 c2 e8 f6 c3 89 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff8c0ccecc3e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8c0cc4200800 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff8c0cc3d3a480 R08: 0000000000000001 R09: 0000000000000466
R10: 0000000000017c6c R11: 0000000000000003 R12: 0000000000000000
R13: ffff8c0cc3d3a000 R14: 0000000000000000 R15: ffff8c0ccecc3ed8
FS:  0000000000000000(0000) GS:ffff8c0ccecc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f065b741000 CR3: 00000002e9d46000 CR4: 00000000003406e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3c3/0x450
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xba/0x440
Code: e8 ab 4a 96 ff 80 7c 24 0b 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 5e 03 00 00 31 ff e8 4d fa 9b ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 89 02 00 00 49 63 cc 4c 2b 2c 24 48 8d 04 49 48 c1
RSP: 0018:ffffb073019f7e90 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff8c0ccece0fc0 RBX: ffffffffa04d7b20 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 0000000020e1d685 RDI: 0000000000000000
RBP: ffff8c0cc4636c00 R08: 00002388b9579354 R09: 0000000000000a40
R10: 00008a65db0a9cb7 R11: ffff8c0ccecdfe44 R12: 0000000000000002
R13: 00002388b9579354 R14: 0000000000000002 R15: ffffffffa04d7b20
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Potential duplicate: bug 1575969

Comment 1 Samuel 2019-03-24 02:13:49 UTC
Created attachment 1547331 [details]
File: dmesg

Comment 2 Terpandre 2019-05-02 15:43:53 UTC
*** Bug 1705623 has been marked as a duplicate of this bug. ***

Comment 3 Terpandre 2019-05-04 10:17:50 UTC
Description of problem:
at system startup

Version-Release number of selected component:
kernel-core-5.0.10-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt6)/boot/vmlinuz-5.0.10-300.fc30.x86_64 root=UUID=3f02fedb-33de-4f16-ba3a-5a6643b53522 ro resume=UUID=8cf64f00-9bf6-4edb-8fda-9a55d5f57dd9 rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.10-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp2s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat uvcvideo arc4 intel_rapl snd_hda_codec_realtek videobuf2_vmalloc snd_hda_codec_generic x86_pkg_temp_thermal ath9k ath3k videobuf2_memops ledtrig_audio videobuf2_v4l2 btusb btrtl btbcm btintel videobuf2_common bluetooth snd_hda_codec_hdmi snd_hda_intel ath9k_common intel_powerclamp snd_hda_codec ath9k_hw videodev coretemp mac80211 media ecdh_generic snd_hda_core kvm_intel snd_hwdep snd_seq ath crct10dif_pclmul cfg80211 rtsx_pci_ms snd_seq_device crc32_pclmul snd_pcm ghash_clmulni_intel memstick
 snd_timer iTCO_wdt iTCO_vendor_support asus_nb_wmi asus_wmi snd pcc_cpufreq mei_me intel_cstate soundcore intel_pch_thermal sparse_keymap rfkill lpc_ich intel_uncore processor_thermal_device int3400_thermal int340x_thermal_zone acpi_thermal_rel intel_soc_dts_iosf mei joydev i2c_i801 intel_rapl_perf asus_wireless acpi_pad mmc_block i915 nouveau kvmgt mdev vfio kvm rtsx_pci_sdmmc mmc_core mxm_wmi ttm irqbypass i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw rtsx_pci r8169 video wmi
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 5.0.10-300.fc30.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X751LB/X751LB, BIOS X751LB.606 12/07/2015
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 20 6c ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 18 79 17 89 48 89 c2 e8 06 81 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff9635a7183e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff96359fff3600 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff9635a3f06480 R08: 0000000000000001 R09: 00000000000003d9
R10: 0000000000015a94 R11: 0000000000000003 R12: 0000000000000000
R13: ffff9635a3f06000 R14: 0000000000000000 R15: ffff9635a7183ed8
FS:  0000000000000000(0000) GS:ffff9635a7180000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055d3f6960f18 CR3: 000000019820e002 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 41 33 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 63 e5 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffb4ec40d03e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9635a71a0fc0 RBX: ffffffff892d3020 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000004b673162 RDI: 0000000000000000
RBP: ffff9635a71ab800 R08: 000000126e4c41d9 R09: 0000000000000759
R10: 00000024ef6d4810 R11: ffff9635a719fe44 R12: 0000000000000007
R13: 000000126e4c41d9 R14: 0000000000000007 R15: ffffffff892d3020
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 4 Martin Wolf 2019-05-06 12:36:35 UTC
*** Bug 1706877 has been marked as a duplicate of this bug. ***

Comment 5 Terpandre 2019-05-09 10:46:17 UTC
Description of problem:
at start of system

Version-Release number of selected component:
kernel-core-5.0.11-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt6)/boot/vmlinuz-5.0.11-300.fc30.x86_64 root=UUID=3f02fedb-33de-4f16-ba3a-5a6643b53522 ro resume=UUID=8cf64f00-9bf6-4edb-8fda-9a55d5f57dd9 rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.11-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp2s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat intel_rapl uvcvideo x86_pkg_temp_thermal intel_powerclamp videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 coretemp videobuf2_common arc4 videodev ath9k kvm_intel media ath9k_common ath9k_hw ath3k btusb crct10dif_pclmul btrtl mac80211 crc32_pclmul btbcm btintel ghash_clmulni_intel bluetooth intel_cstate ecdh_generic intel_uncore intel_rapl_perf ath snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi cfg80211 snd_hda_intel snd_hda_codec rtsx_pci_ms memstick asus_nb_wmi
 asus_wmi sparse_keymap rfkill snd_hda_core asus_wireless snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd iTCO_wdt soundcore intel_pch_thermal iTCO_vendor_support processor_thermal_device int340x_thermal_zone int3400_thermal acpi_thermal_rel intel_soc_dts_iosf mei_me joydev pcc_cpufreq lpc_ich mei i2c_i801 acpi_pad mmc_block i915 nouveau kvmgt mdev rtsx_pci_sdmmc vfio mmc_core kvm mxm_wmi ttm irqbypass i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw r8169 rtsx_pci wmi video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 5.0.11-300.fc30.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X751LB/X751LB, BIOS X751LB.606 12/07/2015
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 20 5c ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 40 79 17 a7 48 89 c2 e8 06 71 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff98cf27183e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff98cf1fd42e00 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff98cf23eb0480 R08: 0000000000000001 R09: 00000000000003d9
R10: 0000000000015c20 R11: 0000000000000003 R12: 0000000000000000
R13: ffff98cf23eb0000 R14: 0000000000000001 R15: ffff98cf27183ee0
FS:  0000000000000000(0000) GS:ffff98cf27180000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6eb81fab30 CR3: 000000011620e004 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 b1 27 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 d3 d9 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffb975c0d03e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff98cf271a0fc0 RBX: ffffffffa72d3020 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000004b673162 RDI: 0000000000000000
RBP: ffff98cf271ab800 R08: 000000141994e646 R09: 000000000000d52b
R10: 00000027c5bd6699 R11: ffff98cf2719fe44 R12: 0000000000000008
R13: 000000141994e646 R14: 0000000000000008 R15: ffffffffa72d3020
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 6 Alexandros Soumplis 2019-05-13 10:34:35 UTC
Description of problem:
I opened in a Firefox tab a document to edit it online using ONLYOFFICE 

Version-Release number of selected component:
kernel-core-5.0.11-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.0.11-300.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-0438026d-d216-48bd-894b-ac2224764739 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.11-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [IRQ] ? qdisc_put_unlocked
#2 [IRQ] call_timer_fn
#3 [IRQ] run_timer_softirq
#4 [IRQ] ? timerqueue_add
#5 [IRQ] ? enqueue_hrtimer
#6 [IRQ] __do_softirq
#7 [IRQ] smp_apic_timer_interrupt
#8 [IRQ] apic_timer_interrupt
#9 [/IRQ] ? cpuidle_enter_state
#10 [/IRQ] do_idle

Comment 7 kiko salvador 2019-05-13 10:36:27 UTC
Description of problem:
while installing gimp

Version-Release number of selected component:
kernel-core-5.0.9-301.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos3)/vmlinuz-5.0.9-301.fc30.x86_64 root=UUID=03d8ce6e-d429-4ac2-b887-b6b0f13b1f59 ro resume=UUID=240469bc-2dc1-4be1-b184-f4424aa1f374 rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.9-301.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: ccm nls_utf8 isofs fuse rfcomm devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 rtl8723be btcoexist rtl8723_common rtl_pci rtlwifi mac80211 uvcvideo rtsx_usb_ms videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common memstick videodev btusb media btrtl intel_rapl btbcm btintel cfg80211 bluetooth snd_hda_codec_conexant snd_hda_codec_generic x86_pkg_temp_thermal intel_powerclamp ecdh_generic coretemp ledtrig_audio kvm_intel iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep joydev snd_seq crct10dif_pclmul ideapad_laptop snd_seq_device
 crc32_pclmul sparse_keymap snd_pcm rfkill ghash_clmulni_intel mei_me snd_timer mei snd intel_cstate intel_uncore soundcore intel_rapl_perf pcc_cpufreq acpi_pad i2c_i801 lpc_ich i915 nouveau kvmgt mdev vfio kvm mxm_wmi ttm rtsx_usb_sdmmc mmc_core irqbypass i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw r8169 rtsx_usb video wmi
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 5.0.9-301.fc30.x86_64 #1
Hardware name: LENOVO 80RK/Nano 4B6, BIOS E0CN63WW 10/21/2016
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 b0 6b ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 a0 75 17 8e 48 89 c2 e8 c6 80 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff8d7a1aa83e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8d7a133f6800 RCX: ffff8d7a1aa968c0
RDX: 0000000000000007 RSI: 0000000000000006 RDI: ffff8d7a1aa968c0
RBP: ffff8d7a19780480 R08: 0000000000000001 R09: 00000000000003e6
R10: 0000000000016088 R11: 0000000000000003 R12: 0000000000000000
R13: ffff8d7a19780000 R14: 0000000000000000 R15: ffff8d7a1aa83ed8
FS:  0000000000000000(0000) GS:ffff8d7a1aa80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000147a93bcb470 CR3: 000000004d20e003 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 c1 34 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 13 e6 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffb9f8406e7e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff8d7a1aaa0fc0 RBX: ffffffff8e2d2f60 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000004025ef46 RDI: 0000000000000000
RBP: ffff8d7a1aaab800 R08: 00000524517f4e0b R09: 0000000000000972
R10: 0000008ef09810bc R11: ffff8d7a1aa9fe44 R12: 0000000000000004
R13: 00000524517f4e0b R14: 0000000000000004 R15: ffffffff8e2d2f60
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 8 Dave Ludlow 2019-05-13 15:25:32 UTC
Description of problem:
I was connected to a WiFi network.  I connected an ethernet cable because I was about to transfer a large file and wanted faster speed.  The error happened just after connecting the ethernet cable and before attempting to transfer the file.

Version-Release number of selected component:
kernel-core-5.0.11-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.0.11-300.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.11-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: loop mmc_block nfnetlink_queue nfnetlink_log fuse rfcomm ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media ecdh_generic arc4 iTCO_wdt iTCO_vendor_support iwlmvm intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel mac80211 snd_soc_skl snd_hda_codec_hdmi snd_soc_hdac_hda snd_hda_ext_core snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_realtek snd_soc_acpi_intel_match snd_soc_acpi
 snd_hda_codec_generic snd_soc_core ledtrig_audio iwlwifi snd_compress ac97_bus snd_pcm_dmaengine crct10dif_pclmul crc32_pclmul snd_hda_intel snd_hda_codec ghash_clmulni_intel cfg80211 snd_hda_core snd_hwdep intel_cstate snd_seq intel_uncore snd_seq_device snd_pcm intel_rapl_perf snd_timer joydev rtsx_pci_ms wmi_bmof mei_me snd memstick soundcore mei i2c_i801 rfkill intel_pch_thermal intel_hid sparse_keymap pcc_cpufreq acpi_pad i915 kvmgt mdev vfio kvm irqbypass i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core drm nvme nvme_core rtsx_pci r8169 crc32c_intel serio_raw wmi video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 5.0.11-300.fc30.x86_64 #1
Hardware name: System76 Kudu/Kudu, BIOS 7.000S76 05/09/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 20 5c ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 40 79 17 89 48 89 c2 e8 06 71 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff9febedac3e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9febe3508400 RCX: ffff9febedad68c0
RDX: 0000000000000007 RSI: 0000000000000006 RDI: ffff9febedad68c0
RBP: ffff9febe9a3e480 R08: 0000000000000001 R09: 0000000000001b18
R10: 00000000000356fc R11: 0000000000000003 R12: 0000000000000000
R13: ffff9febe9a3e000 R14: 0000000000000000 R15: ffff9febedac3ed8
FS:  0000000000000000(0000) GS:ffff9febedac0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000025b226ea7008 CR3: 000000085b20e003 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 b1 27 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 d3 d9 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffb8c8431f7e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9febedae0fc0 RBX: ffffffff892d3020 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 0000000039f89468 RDI: 0000000000000000
RBP: ffff9febedaeb900 R08: 0000816eefc97756 R09: 000000000000064a
R10: 0000041fa7b5a92e R11: ffff9febedadfe44 R12: 0000000000000004
R13: 0000816eefc97756 R14: 0000000000000004 R15: ffffffff892d3020
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 9 Richard 2019-05-13 16:21:08 UTC
Description of problem:
Normal running system had firefox open and browsing web when popped up

Version-Release number of selected component:
kernel-core-5.0.13-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos2)/boot/vmlinuz-5.0.13-300.fc30.x86_64 root=UUID=d0316fce-eac3-4674-ad28-136d7baa0854 ro resume=UUID=5dd087eb-b674-4048-9bb2-611ea3d54c40 rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.13-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp32s0 (e1000): transmit queue 0 timed out
WARNING: CPU: 10 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: uinput fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables sunrpc b43 cordic snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio mac80211 snd_hda_codec_hdmi snd_hda_intel joydev snd_hda_codec cfg80211 ssb snd_hda_core mmc_core snd_hwdep snd_seq edac_mce_amd rfkill kvm_amd snd_seq_device snd_pcm kvm snd_timer sp5100_tco snd soundcore irqbypass bcma i2c_piix4 ppdev crct10dif_pclmul wmi_bmof crc32_pclmul ghash_clmulni_intel gpio_amdpt k10temp gpio_generic parport_pc ccp pcc_cpufreq acpi_cpufreq parport amdgpu chash amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper
 drm e1000 crc32c_intel r8169 uas usb_storage wmi pinctrl_amd
CPU: 10 PID: 0 Comm: swapper/10 Not tainted 5.0.13-300.fc30.x86_64 #1
Hardware name: Micro-Star International Co., Ltd MS-7A34/B350 TOMAHAWK (MS-7A34), BIOS 1.00 02/15/2017
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 00 5c ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 30 79 17 91 48 89 c2 e8 f6 70 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff92f1cee83e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff92f1c496cc00 RCX: ffff92f1cee968c0
RDX: 0000000000000007 RSI: 0000000000000006 RDI: ffff92f1cee968c0
RBP: ffff92f1cc9e2480 R08: 0000000000000001 R09: 00000000000008b5
R10: 000000000003c95c R11: 0000000000000003 R12: 0000000000000000
R13: ffff92f1cc9e2000 R14: 0000000000000001 R15: ffff92f1cee83ee0
FS:  0000000000000000(0000) GS:ffff92f1cee80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00001c6831e0d280 CR3: 0000000404022000 CR4: 00000000003406e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:native_safe_halt+0x2/0x10
Code: 6f ff ff ff 7f c3 65 48 8b 04 25 00 5c 01 00 f0 80 48 02 20 48 8b 00 a8 08 74 8c eb c2 90 90 90 90 90 90 90 90 90 90 90 fb f4 <c3> 66 66 2e 0f 1f 84 00 00 00 00 00 66 90 f4 c3 90 90 90 90 90 90
RSP: 0018:ffffaae0c19efe30 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: 0000000080000000 RBX: 0000000000000001 RCX: 0000000000000034
RDX: 4ec4ec4ec4ec4ec5 RSI: ffffffff912d8b40 RDI: ffff92f1cc67b464
RBP: ffff92f1cc67b400 R08: 000001513e908c2d R09: 0000000000000e62
R10: 0000040e5ce80378 R11: ffff92f1cee9fe44 R12: ffff92f1cc67b464
R13: 0000000000000001 R14: 0000000000000001 R15: ffffffff912d8b40
 acpi_safe_halt+0x1b/0x30
 acpi_idle_enter+0xf3/0x2b0
 cpuidle_enter_state+0x7c/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 10 Terpandre 2019-05-14 06:56:00 UTC
Description of problem:
at starting of operating system

Version-Release number of selected component:
kernel-core-5.0.13-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd1,gpt6)/boot/vmlinuz-5.0.13-300.fc30.x86_64 root=UUID=3f02fedb-33de-4f16-ba3a-5a6643b53522 ro resume=UUID=8cf64f00-9bf6-4edb-8fda-9a55d5f57dd9 rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.13-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp2s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 ath9k ath9k_common ath9k_hw uvcvideo mac80211 videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common ath3k btusb snd_hda_codec_realtek intel_rapl videodev ath snd_hda_codec_generic ledtrig_audio media snd_hda_codec_hdmi btrtl cfg80211 snd_hda_intel btbcm snd_hda_codec btintel rtsx_pci_ms bluetooth x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd ecdh_generic asus_nb_wmi asus_wmi soundcore memstick iTCO_wdt kvm_intel
 sparse_keymap rfkill iTCO_vendor_support crct10dif_pclmul crc32_pclmul processor_thermal_device mei_me int340x_thermal_zone i2c_i801 joydev pcc_cpufreq ghash_clmulni_intel mei intel_soc_dts_iosf int3400_thermal acpi_thermal_rel intel_cstate lpc_ich asus_wireless intel_pch_thermal intel_uncore intel_rapl_perf acpi_pad mmc_block i915 nouveau kvmgt mdev vfio kvm rtsx_pci_sdmmc mmc_core mxm_wmi ttm irqbypass i2c_algo_bit drm_kms_helper drm uas crc32c_intel usb_storage r8169 serio_raw rtsx_pci wmi video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 5.0.13-300.fc30.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X751LB/X751LB, BIOS X751LB.606 12/07/2015
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 00 5c ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 30 79 17 bb 48 89 c2 e8 f6 70 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff963527183e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff96351e41fe00 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff963525f9e480 R08: 0000000000000001 R09: 00000000000003e7
R10: 0000000000016098 R11: 0000000000000003 R12: 0000000000000000
R13: ffff963525f9e000 R14: 0000000000000000 R15: ffff963527183ed8
FS:  0000000000000000(0000) GS:ffff963527180000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000563cd6a3f428 CR3: 000000003f20e002 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 91 24 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 b3 d6 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffba6fc0d03e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9635271a0fc0 RBX: ffffffffbb2d3020 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000004b673162 RDI: 0000000000000000
RBP: ffff9635271ab800 R08: 00000014565da21d R09: 000000000000afc8
R10: 000000289481faad R11: ffff96352719fe44 R12: 0000000000000008
R13: 00000014565da21d R14: 0000000000000008 R15: ffffffffbb2d3020
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 11 Arnaud Masson 2019-05-15 07:24:09 UTC
Description of problem:
I received a nitification from Gnome that an issue happened 54 seconds after this issue.... I don't know what I did at this time.

Version-Release number of selected component:
kernel-core-5.0.13-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt7)/boot/vmlinuz-5.0.13-300.fc30.x86_64 root=UUID=b647df11-1cd4-4e71-9361-8a87fc75a921 ro resume=UUID=1a8685af-b51e-4b80-8164-54547e13e7bf rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.13-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 [IRQ] ? qdisc_put_unlocked
#2 [IRQ] call_timer_fn
#3 [IRQ] run_timer_softirq
#4 [IRQ] ? timerqueue_add
#5 [IRQ] ? enqueue_hrtimer
#6 [IRQ] __do_softirq
#7 [IRQ] smp_apic_timer_interrupt
#8 [IRQ] apic_timer_interrupt

Comment 12 F.Prates 2019-05-18 10:28:57 UTC
Description of problem:
Once rebooting, ethernet stop working. If I do a full poweroff and poweron, ethernet works again.

Version-Release number of selected component:
kernel-core-5.0.16-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd1,gpt2)/vmlinuz-5.0.16-300.fc30.x86_64 root=UUID=be914a0c-c775-48b7-afc6-9d040681d6d7 ro resume=UUID=f93a34ba-2806-4dad-b7b7-2885b80267f3 rhgb quiet rd.driver.blacklist=nouveau
crash_function: qdisc_put_unlocked
kernel:         5.0.16-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 4 PID: 1839 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: fuse rfcomm ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 joydev iwlmvm snd_soc_skl intel_rapl x86_pkg_temp_thermal snd_soc_hdac_hda intel_powerclamp hid_multitouch snd_hda_ext_core mac80211 snd_soc_skl_ipc snd_soc_sst_ipc snd_hda_codec_hdmi snd_soc_sst_dsp coretemp snd_soc_acpi_intel_match snd_soc_acpi snd_soc_core snd_hda_codec_realtek kvm_intel snd_hda_codec_generic ledtrig_audio snd_compress ac97_bus snd_pcm_dmaengine iTCO_wdt snd_hda_intel iTCO_vendor_support snd_hda_codec crct10dif_pclmul iwlwifi crc32_pclmul snd_hda_core uvcvideo snd_hwdep
 btusb ghash_clmulni_intel snd_seq intel_cstate btrtl intel_uncore snd_seq_device btbcm videobuf2_vmalloc btintel videobuf2_memops snd_pcm cfg80211 intel_rapl_perf videobuf2_v4l2 bluetooth videobuf2_common wmi_bmof videodev input_polldev sparse_keymap snd_timer snd rtsx_pci_ms media memstick i2c_i801 mei_me ecdh_generic soundcore mei idma64 rfkill intel_lpss_pci intel_lpss intel_pch_thermal acpi_pad pcc_cpufreq xfs libcrc32c i915 kvmgt mdev vfio kvm irqbypass i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core mxm_wmi drm crc32c_intel rtsx_pci r8169 serio_raw i2c_hid pinctrl_cannonlake wmi video pinctrl_intel
CPU: 4 PID: 1839 Comm: gdbus Not tainted 5.0.16-300.fc30.x86_64 #1
Hardware name: Avell High Performance A52-5 BS/GI5CN4E, BIOS N.1.10 11/09/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 70 3b ae 00 01 e8 ec 60 fc ff 44 89 e1 4c 89 ee 48 c7 c7 b0 80 17 89 48 89 c2 e8 b6 60 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0000:ffff9727b5b03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9727adbe8600 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9727b5b168c0
RBP: ffff9727b43de480 R08: 0000000000000001 R09: 00000000000003c1
R10: 0000000000014c6c R11: 0000000000000003 R12: 0000000000000000
R13: ffff9727b43de000 R14: 0000000000000000 R15: ffff9727b5b03ed8
FS:  00007fe1df94c700(0000) GS:ffff9727b5b00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055fd10f73988 CR3: 0000000230892003 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x30e
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7fe1e4be1d3f
Code: 04 00 be 08 00 00 00 48 8d 3d eb a2 03 00 31 c0 e9 c6 48 ff ff 66 0f 1f 44 00 00 f3 0f 1e fa 48 83 ec 08 48 85 ff 74 43 8b 07 <85> c0 7e 15 31 c0 f0 83 2f 01 0f 94 c0 48 83 c4 08 c3 0f 1f 80 00
RSP: 002b:00007fe1df94b6b0 EFLAGS: 00000206 ORIG_RAX: ffffffffffffff13
RAX: 0000000000000001 RBX: 0000000000000003 RCX: 00000000000000f0
RDX: 00007fe1c4264270 RSI: 0000000000000022 RDI: 00007fe1c413c544
RBP: 00007fe1c413c520 R08: 00007fe1c413c520 R09: 0000000000000002
R10: 0000000000000018 R11: 0000000000000030 R12: 000055bbdeb903b0
R13: 000055bbe1e980c0 R14: 000055bbe10636b0 R15: 0000000000000007

Comment 13 jan p. springer 2019-05-20 13:55:44 UTC
*** Bug 1711961 has been marked as a duplicate of this bug. ***

Comment 14 Sato 2019-05-20 19:11:58 UTC
Description of problem:
After upgrade from fedora 29 to fedora 30 the wired connection is not working.

Version-Release number of selected component:
kernel-core-5.0.16-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.0.16-300.fc30.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.16-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 1968 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: fuse rfcomm ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink cmac bnep nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat arc4 ath9k ath9k_common intel_rapl ath9k_hw x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi ath3k mac80211 btusb btrtl snd_hda_codec_realtek uvcvideo crct10dif_pclmul snd_hda_codec_generic crc32_pclmul ledtrig_audio btbcm btintel snd_hda_intel videobuf2_vmalloc ghash_clmulni_intel videobuf2_memops snd_hda_codec videobuf2_v4l2 intel_cstate intel_uncore videobuf2_common bluetooth intel_rapl_perf videodev snd_hda_core snd_hwdep
 joydev snd_seq snd_seq_device snd_pcm acer_wmi ath sparse_keymap media wmi_bmof i2c_i801 cfg80211 rtsx_pci_ms ecdh_generic memstick snd_timer snd lpc_ich rfkill mei_me soundcore mei pcc_cpufreq i915 kvmgt mdev vfio kvm rtsx_pci_sdmmc mmc_core irqbypass i2c_algo_bit drm_kms_helper serio_raw crc32c_intel drm r8169 rtsx_pci wmi video
CPU: 3 PID: 1968 Comm: gsd-xsettings Not tainted 5.0.16-300.fc30.x86_64 #1
Hardware name: Acer Aspire V5-472/Polaris_CX, BIOS V2.10 10/22/2013
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 70 3b ae 00 01 e8 ec 60 fc ff 44 89 e1 4c 89 ee 48 c7 c7 b0 80 17 8e 48 89 c2 e8 b6 60 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0000:ffff8f0fc70c3e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8f0fbfbf8800 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8f0fc70d68c0
RBP: ffff8f0fc58f4480 R08: 0000000000000001 R09: 0000000000000384
R10: 0000000000012d74 R11: 0000000000000003 R12: 0000000000000000
R13: ffff8f0fc58f4000 R14: 0000000000000000 R15: ffff8f0fc70c3ed8
FS:  00007f3079e27f00(0000) GS:ffff8f0fc70c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000557e764bc058 CR3: 00000001fccb6003 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x30e
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7f306c801212
Code: 48 83 c4 08 5b 5d c3 90 f3 0f 1e fa 48 8b 47 10 89 f6 89 d1 48 8b 14 f0 89 c8 be 01 00 00 00 c1 e8 05 d3 e6 48 8b 3a 09 34 87 <83> 42 08 01 c3 66 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 41 57 41 56
RSP: 002b:00007ffca76cd028 EFLAGS: 00000206 ORIG_RAX: ffffffffffffff13
RAX: 000000000000000e RBX: 0000000000000025 RCX: 00000000000001da
RDX: 0000557e764bcc80 RSI: 0000000004000000 RDI: 0000557e764bccd0
RBP: 00000000000001da R08: 0000557e764bcdb0 R09: 0000557e764bcdb0
R10: 0000000000000008 R11: 00007f307ae34cc0 R12: 0000000000000020
R13: 0000557e763a6110 R14: 0000000000000020 R15: 00000000000001ba

Comment 15 Ionut Radu 2019-05-25 19:50:56 UTC
Description of problem:
Updated the kernel and rebooted

Version-Release number of selected component:
kernel-core-5.0.17-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos3)/boot/vmlinuz-5.0.17-300.fc30.x86_64 root=UUID=3cc83b77-adf3-48a8-a7db-28c28338cbfe ro rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.17-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: ccm fuse rfcomm bnep binfmt_misc arc4 sunrpc snd_soc_skl snd_soc_hdac_hda snd_hda_ext_core snd_soc_skl_ipc snd_soc_sst_ipc intel_rapl snd_hda_codec_hdmi snd_soc_sst_dsp x86_pkg_temp_thermal snd_soc_acpi_intel_match snd_soc_acpi ath10k_pci intel_powerclamp coretemp snd_soc_core kvm_intel snd_hda_codec_realtek snd_hda_codec_generic ath10k_core ledtrig_audio hid_multitouch snd_compress ac97_bus snd_pcm_dmaengine iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 crct10dif_pclmul videobuf2_common crc32_pclmul snd_hda_core snd_hwdep mac80211 snd_seq ghash_clmulni_intel intel_cstate btusb snd_seq_device videodev btrtl btbcm btintel snd_pcm intel_uncore intel_rapl_perf ath bluetooth cfg80211 joydev intel_wmi_thunderbolt acer_wmi media sparse_keymap wmi_bmof rtsx_pci_ms memstick snd_timer mei_me snd ecdh_generic rfkill mei soundcore i2c_i801 intel_xhci_usb_role_switch idma64 roles intel_lpss_pci
 intel_pch_thermal intel_lpss acer_wireless acpi_pad pcc_cpufreq i915 nouveau rtsx_pci_sdmmc kvmgt mmc_core mdev vfio kvm mxm_wmi irqbypass ttm i2c_algo_bit crc32c_intel drm_kms_helper serio_raw drm r8169 rtsx_pci i2c_hid wmi video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.0.17-300.fc30.x86_64 #1
Hardware name: Acer Aspire E5-575G/Ironman_SK, BIOS V1.47 09/06/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 6f 3b ae 00 01 e8 ec 60 fc ff 44 89 e1 4c 89 ee 48 c7 c7 88 81 17 a0 48 89 c2 e8 c6 60 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff88b966a03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff88b95fb9d400 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff88b966a168c0
RBP: ffff88b964d9a480 R08: 0000000000000001 R09: 00000000000003ce
R10: 00000000000166b0 R11: 0000000000000003 R12: 0000000000000000
R13: ffff88b964d9a000 R14: 0000000000000000 R15: ffff88b966a03ed8
FS:  0000000000000000(0000) GS:ffff88b966a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000013a15785a008 CR3: 000000011d20e004 CR4: 00000000003606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x30e
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 a1 16 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 33 c8 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffffffa0203e70 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff88b966a20fc0 RBX: ffffffffa02d3060 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000002c13bf1e RDI: 0000000000000000
RBP: ffff88b966a2b800 R08: 0000001930370c19 R09: 000000000000041f
R10: ffff88b966a1fe44 R11: ffff88b966a1fe24 R12: 0000000000000004
R13: 0000001930370c19 R14: 0000000000000004 R15: ffffffffa0217740
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_kernel+0x4f7/0x515
 secondary_startup_64+0xa4/0xb0

Comment 16 Ionut Radu 2019-05-25 20:13:32 UTC
Yes, for poweroff instead of reboot, the nic comes to life.

Comment 17 Jonathon Poppleton 2019-05-29 09:14:25 UTC
Description of problem:
I had installed nextcloud, configured apachee, php etc when the error appeared after a reboot. 

Version-Release number of selected component:
kernel-core-5.0.17-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/boot/vmlinuz-5.0.17-300.fc30.x86_64 root=UUID=5ba43187-9514-4a33-b131-ef9f5f82aa6c ro resume=UUID=093df7d2-7320-495d-a754-88426ffbda8b rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.17-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: lp nls_utf8 isofs rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep vfat fat fuse btusb btrtl btbcm btintel bluetooth ecdh_generic rfkill mei_wdt ppdev iTCO_wdt iTCO_vendor_support intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp joydev kvm_intel uvcvideo crct10dif_pclmul crc32_pclmul videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common ghash_clmulni_intel intel_cstate snd_usb_audio videodev snd_hda_codec_realtek intel_uncore snd_hda_codec_generic snd_usbmidi_lib intel_rapl_perf media snd_hda_codec_hdmi snd_rawmidi ledtrig_audio snd_soc_rt5640 snd_soc_rl6231 snd_hda_intel snd_soc_core
 snd_hda_codec i2c_i801 snd_hda_core snd_compress ac97_bus snd_hwdep snd_pcm_dmaengine snd_seq snd_seq_device snd_pcm mei_me mei lpc_ich snd_timer snd parport_pc parport soundcore acpi_pad pcc_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc i915 hid_logitech_hidpp kvmgt mdev vfio kvm irqbypass i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw r8169 hid_logitech_dj video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.0.17-300.fc30.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. H97M-D3H/H97M-D3H, BIOS F8b 03/03/2016
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 6f 3b ae 00 01 e8 ec 60 fc ff 44 89 e1 4c 89 ee 48 c7 c7 88 81 17 90 48 89 c2 e8 c6 60 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff9f0c7f003e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9f0c74efd000 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff9f0c7b180480 R08: ffff9f0c7f0168c8 R09: 000000000000064a
R10: 00000000000202cc R11: 0000000000000003 R12: 0000000000000000
R13: ffff9f0c7b180000 R14: 0000000000000000 R15: ffff9f0c7f003ed8
FS:  0000000000000000(0000) GS:ffff9f0c7f000000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00001602c5783fe0 CR3: 000000005d20e001 CR4: 00000000001606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 a1 16 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 33 c8 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffffff90203e70 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9f0c7f020fc0 RBX: ffffffff902d3060 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 0000000023a34ea4 RDI: 0000000000000000
RBP: ffff9f0c7f02b840 R08: 00002771bc7d7bcc R09: ffffc2a98d3e3a40
R10: ffff9f0c7f01fe44 R11: ffff9f0c7f01fe24 R12: 0000000000000005
R13: 00002771bc7d7bcc R14: 0000000000000005 R15: ffffffff90217740
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_kernel+0x4f7/0x515
 secondary_startup_64+0xa4/0xb0

Comment 18 Johannes Rest 2019-05-31 13:53:51 UTC
Description of problem:
Booting up the system, then the error message appeared when gnome gui came up...

Version-Release number of selected component:
kernel-core-5.0.17-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.0.17-300.fc30.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.17-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp2s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: fuse bnep xt_CHECKSUM ipt_MASQUERADE xt_addrtype devlink tun br_netfilter bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables overlay bluetooth ecdh_generic rfkill sunrpc iTCO_wdt iTCO_vendor_support mei_wdt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore snd_hda_codec_hdmi intel_rapl_perf snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_intel snd_hda_codec snd_usb_audio uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 i2c_i801 snd_usbmidi_lib snd_hda_core snd_rawmidi snd_hwdep videobuf2_common
 joydev videodev snd_seq snd_seq_device snd_pcm media snd_timer snd lpc_ich soundcore mei_me mei ie31200_edac pcc_cpufreq i915 kvmgt mdev vfio kvm irqbypass i2c_algo_bit crc32c_intel drm_kms_helper drm r8169 video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 5.0.17-300.fc30.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./B75M-ITX, BIOS P1.80 07/12/2013
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 6f 3b ae 00 01 e8 ec 60 fc ff 44 89 e1 4c 89 ee 48 c7 c7 88 81 17 ad 48 89 c2 e8 c6 60 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff8a734e583e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8a7345109a00 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff8a734c63a480 R08: ffff8a734e5968c8 R09: 00000000000003c9
R10: 0000000000014cb0 R11: 0000000000000003 R12: 0000000000000000
R13: ffff8a734c63a000 R14: 0000000000000000 R15: ffff8a734e583ed8
FS:  0000000000000000(0000) GS:ffff8a734e580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000056117bc00020 CR3: 00000001dd20e006 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 a1 16 95 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 33 c8 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffa9af41923e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff8a734e5a0fc0 RBX: ffffffffad2d3060 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000002c3cfa9f RDI: 0000000000000000
RBP: ffff8a734e5ab800 R08: 00000fd1145a341f R09: 0000000000002f55
R10: ffff8a734e59fe44 R11: ffff8a734e59fe24 R12: 0000000000000004
R13: 00000fd1145a341f R14: 0000000000000004 R15: ffff8a734c730000
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa4/0xb0

Comment 19 Ionut Radu 2019-06-02 06:24:11 UTC
Description of problem:
Updated kernel and rebooted

Version-Release number of selected component:
kernel-core-5.1.5-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos3)/boot/vmlinuz-5.1.5-300.fc30.x86_64 root=UUID=3cc83b77-adf3-48a8-a7db-28c28338cbfe ro rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.5-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: ccm fuse rfcomm bnep arc4 binfmt_misc sunrpc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl kvm_intel snd_soc_hdac_hda snd_hda_ext_core snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_acpi_intel_match snd_soc_acpi kvm snd_soc_core snd_hda_codec_hdmi ath10k_pci snd_compress ac97_bus snd_hda_codec_realtek snd_pcm_dmaengine snd_hda_codec_generic iTCO_wdt ath10k_core iTCO_vendor_support ledtrig_audio hid_multitouch irqbypass mei_hdcp snd_hda_intel snd_hda_codec mac80211 crct10dif_pclmul snd_hda_core snd_hwdep snd_seq crc32_pclmul snd_seq_device snd_pcm ghash_clmulni_intel intel_cstate intel_uncore btusb btrtl btbcm intel_rapl_perf btintel uvcvideo ath videobuf2_vmalloc bluetooth videobuf2_memops videobuf2_v4l2 cfg80211 videobuf2_common snd_timer intel_wmi_thunderbolt videodev snd i2c_i801 acer_wmi sparse_keymap wmi_bmof soundcore joydev rtsx_pci_ms media memstick ecdh_generic rfkill mei_me idma64 mei intel_xhci_usb_role_switch
 intel_lpss_pci roles intel_lpss intel_pch_thermal acer_wireless acpi_pad pcc_cpufreq i915 nouveau rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit drm_kms_helper serio_raw drm crc32c_intel rtsx_pci r8169 i2c_hid wmi video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.1.5-300.fc30.x86_64 #1
Hardware name: Acer Aspire E5-575G/Ironman_SK, BIOS V1.47 09/06/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 d2 43 ad 00 01 e8 8c 72 fb ff 44 89 e1 4c 89 ee 48 c7 c7 18 6e 18 a3 48 89 c2 e8 66 1e 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff98d3e6a03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff98d3de84fa00 RCX: 000000000000083f
RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
RBP: ffff98d3e331c480 R08: ffff98d3e6a168c8 R09: 00000000000003d3
R10: ffffffffa39d448c R11: 0000000000000003 R12: 0000000000000000
R13: ffff98d3e331c000 R14: 0000000000000000 R15: ffff98d3e6a03ed8
FS:  0000000000000000(0000) GS:ffff98d3e6a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f756b847000 CR3: 00000001a320e003 CR4: 00000000003606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 c1 e7 94 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 23 b7 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffffffa3203e78 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff98d3e6a20f40 RBX: ffffffffa32d6f20 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000002c13bf1e RDI: 0000000000000000
RBP: ffff98d3e6a2b808 R08: 00000029ee9a07cb R09: 0000000000005f71
R10: ffff98d3e6a1fdc4 R11: ffff98d3e6a1fda4 R12: 0000000000000008
R13: 00000029ee9a07cb R14: 0000000000000008 R15: ffffffffa3217780
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_kernel+0x4f5/0x512
 secondary_startup_64+0xa4/0xb0

Comment 20 Reinier Bikker 2019-06-02 20:02:07 UTC
Description of problem:
During an SSH session to this host I connected to the X11 desktop via x11vnc and the tigervnc viewer. 

Version-Release number of selected component:
kernel-core-5.1.5-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt1)/vmlinuz-5.1.5-300.fc30.x86_64
crash_function: qdisc_put_unlocked
kernel:         5.1.5-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp5s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 5 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc ip6table_mangle ip6table_nat ebtable_filter ebtables ip6t_REJECT nf_reject_ipv6 xt_limit ip6table_filter ip6_tables nf_conntrack_ftp iptable_mangle nf_log_ipv4 nf_log_common xt_multiport ipt_REJECT nf_reject_ipv4 xt_LOG xt_recent xt_helper xt_state xt_conntrack iptable_filter xt_nat iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 it87 ip_tables hwmon_vid sunrpc vfat fat dm_multipath scsi_dh_rdac scsi_dh_emc scsi_dh_alua edac_mce_amd kvm_amd ccp kvm snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio pktcdvd snd_hda_codec_hdmi irqbypass snd_hda_intel snd_hda_codec snd_hda_core crct10dif_pclmul joydev crc32_pclmul snd_hwdep snd_seq snd_seq_device ghash_clmulni_intel snd_pcm mxm_wmi snd_timer sp5100_tco snd fam15h_power k10temp soundcore i2c_piix4 pcc_cpufreq acpi_cpufreq raid456 amdgpu libcrc32c async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid0 i2c_algo_bit chash
 gpu_sched amd_iommu_v2 ttm drm_kms_helper uas usb_storage crc32c_intel drm firewire_ohci r8169 ata_generic firewire_core pata_acpi sis900 mii crc_itu_t pata_atiixp wmi wacom
CPU: 5 PID: 0 Comm: swapper/5 Not tainted 5.1.5-300.fc30.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./990FXA-UD3, BIOS FC 02/05/2013
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 d2 43 ad 00 01 e8 8c 72 fb ff 44 89 e1 4c 89 ee 48 c7 c7 18 6e 18 ab 48 89 c2 e8 66 1e 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff8b2ddeb43e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8b2dd37f3c00 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff8b2dd996a480 R08: ffff8b2ddeb568c8 R09: 00000000000004ae
R10: ffffffffab9d8370 R11: ffff8b2ddeb43d35 R12: 0000000000000000
R13: ffff8b2dd996a000 R14: 0000000000000000 R15: ffff8b2ddeb43ed8
FS:  0000000000000000(0000) GS:ffff8b2ddeb40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055f12773fa08 CR3: 00000007b05a4000 CR4: 00000000000406e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:native_safe_halt+0xe/0x10
Code: 90 90 90 90 90 90 90 90 90 90 90 90 e9 07 00 00 00 0f 00 2d 06 21 46 00 f4 c3 66 90 e9 07 00 00 00 0f 00 2d f6 20 46 00 fb f4 <c3> 90 0f 1f 44 00 00 41 54 55 53 e8 a2 ef 7a ff 65 8b 2d bb 89 66
RSP: 0018:ffffad8c831b7e30 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: 0000000080000000 RBX: 0000000000000001 RCX: 0000000000000034
RDX: 4ec4ec4ec4ec4ec5 RSI: ffffffffab2dca40 RDI: ffff8b2ddaf48464
RBP: ffff8b2ddaf48400 R08: 00003c3922224b08 R09: 000000007fffffff
R10: ffff8b2ddeb5fdc4 R11: ffff8b2ddeb5fda4 R12: ffff8b2ddaf48464
R13: 0000000000000001 R14: 0000000000000001 R15: ffff8b2ddb361f40
 acpi_safe_halt+0x1b/0x30
 acpi_idle_enter+0xf3/0x2b0
 cpuidle_enter_state+0x7c/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x17d/0x1d0
 secondary_startup_64+0xa4/0xb0

Comment 21 Ionut Radu 2019-06-05 20:29:46 UTC
Description of problem:
Updated kernel and rebooted

Version-Release number of selected component:
kernel-core-5.1.6-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos3)/boot/vmlinuz-5.1.6-300.fc30.x86_64 root=UUID=3cc83b77-adf3-48a8-a7db-28c28338cbfe ro rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.6-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: ccm fuse rfcomm bnep arc4 binfmt_misc sunrpc snd_soc_skl ath10k_pci snd_soc_hdac_hda snd_hda_ext_core ath10k_core snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_acpi_intel_match snd_soc_acpi intel_rapl snd_soc_core mac80211 x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_hdmi kvm_intel kvm snd_hda_codec_realtek snd_hda_codec_generic mei_hdcp ledtrig_audio snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel iTCO_wdt iTCO_vendor_support hid_multitouch snd_hda_codec irqbypass snd_hda_core snd_hwdep crct10dif_pclmul btusb snd_seq crc32_pclmul ath btrtl btbcm snd_seq_device uvcvideo btintel videobuf2_vmalloc bluetooth snd_pcm ghash_clmulni_intel cfg80211 intel_cstate videobuf2_memops videobuf2_v4l2 intel_uncore videobuf2_common intel_rapl_perf videodev intel_wmi_thunderbolt snd_timer media acer_wmi snd sparse_keymap wmi_bmof ecdh_generic soundcore mei_me i2c_i801 joydev rtsx_pci_ms memstick rfkill mei idma64 intel_lpss_pci intel_lpss
 intel_xhci_usb_role_switch intel_pch_thermal roles acer_wireless acpi_pad pcc_cpufreq nouveau i915 rtsx_pci_sdmmc mxm_wmi mmc_core ttm i2c_algo_bit drm_kms_helper crc32c_intel r8169 drm serio_raw rtsx_pci i2c_hid wmi video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.1.6-300.fc30.x86_64 #1
Hardware name: Acer Aspire E5-575G/Ironman_SK, BIOS V1.47 09/06/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 d2 43 ad 00 01 e8 8c 72 fb ff 44 89 e1 4c 89 ee 48 c7 c7 e0 6e 18 96 48 89 c2 e8 76 1e 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff9ec0a6a03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9ec09eac0c00 RCX: 000000000000083f
RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
RBP: ffff9ec0a3370480 R08: ffff9ec0a6a168c8 R09: 00000000000003d7
R10: ffffffff969d4a0c R11: 0000000000000003 R12: 0000000000000000
R13: ffff9ec0a3370000 R14: 0000000000000000 R15: ffff9ec0a6a03ed8
FS:  0000000000000000(0000) GS:ffff9ec0a6a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000056167d4b7818 CR3: 00000001bf20e006 CR4: 00000000003606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 21 e3 94 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 b3 b2 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffffff96203e78 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9ec0a6a20f40 RBX: ffffffff962d6f20 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000002c13bf1e RDI: 0000000000000000
RBP: ffff9ec0a6a2b808 R08: 0000001930dbf108 R09: 0000000000003ffa
R10: ffff9ec0a6a1fdc4 R11: ffff9ec0a6a1fda4 R12: 0000000000000008
R13: 0000001930dbf108 R14: 0000000000000008 R15: ffffffff96217780
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_kernel+0x4f5/0x512
 secondary_startup_64+0xa4/0xb0

Comment 22 Heiner Kallweit 2019-06-07 12:39:00 UTC
All the kernel stack traces don't really help because they contain generic info only. More relevant would be:
- XID line from dmesg (to know exact chip version)
- whether jumbo packets are active (if yes, does issue occur also w/o jumbo?)
- "ethtool -k <if>" output to see which offloading is active
Best would be a bisect to see whether a specific commit may have introduced a regression.

Comment 23 Ondrej Svetlik 2019-06-07 12:45:35 UTC
rx-checksumming: on
tx-checksumming: on
	tx-checksum-ipv4: off [fixed]
	tx-checksum-ip-generic: on
	tx-checksum-ipv6: off [fixed]
	tx-checksum-fcoe-crc: off [fixed]
	tx-checksum-sctp: off [fixed]
scatter-gather: on
	tx-scatter-gather: on
	tx-scatter-gather-fraglist: off [fixed]
tcp-segmentation-offload: off
	tx-tcp-segmentation: off [requested on]
	tx-tcp-ecn-segmentation: off [fixed]
	tx-tcp-mangleid-segmentation: off
	tx-tcp6-segmentation: off [requested on]
generic-segmentation-offload: on
generic-receive-offload: on
large-receive-offload: off [fixed]
rx-vlan-offload: on
tx-vlan-offload: on
ntuple-filters: off [fixed]
receive-hashing: on
highdma: on [fixed]
rx-vlan-filter: off [fixed]
vlan-challenged: off [fixed]
tx-lockless: off [fixed]
netns-local: off [fixed]
tx-gso-robust: off [fixed]
tx-fcoe-segmentation: off [fixed]
tx-gre-segmentation: off [fixed]
tx-gre-csum-segmentation: off [fixed]
tx-ipxip4-segmentation: off [fixed]
tx-ipxip6-segmentation: off [fixed]
tx-udp_tnl-segmentation: off [fixed]
tx-udp_tnl-csum-segmentation: off [fixed]
tx-gso-partial: off [fixed]
tx-sctp-segmentation: off [fixed]
tx-esp-segmentation: off [fixed]
tx-udp-segmentation: off [fixed]
fcoe-mtu: off [fixed]
tx-nocache-copy: off
loopback: off [fixed]
rx-fcs: off
rx-all: off
tx-vlan-stag-hw-insert: off [fixed]
rx-vlan-stag-hw-parse: off [fixed]
rx-vlan-stag-filter: off [fixed]
l2-fwd-offload: off [fixed]
hw-tc-offload: off [fixed]
esp-hw-offload: off [fixed]
esp-tx-csum-hw-offload: off [fixed]
rx-udp_tunnel-port-offload: off [fixed]
tls-hw-tx-offload: off [fixed]
tls-hw-rx-offload: off [fixed]
rx-gro-hw: off [fixed]
tls-hw-record: off [fixed]

I will provide the dmesg after reboot.

Comment 24 Reinier Bikker 2019-06-07 20:52:05 UTC
My XID line: r8169 0000:05:00.0 eth1: RTL8168evl/8111evl, 94:de:80:b9:ab:82, XID 2c9, IRQ 37

MTU is set to 7000, which is the highest setting my switch supports. I could set it to 1500 for a while, but I don't have reliable way to trigger this oops.

Can't help you much with a bisect, I think. Looking back in my logs I can see the issue with kernels 4.19.10-300.fc29, 4.20.6-200.fc29, 5.0.5-200.fc29 and 5.1.5-300.fc30. I have not seen the issue with 4.19.8-300.fc29, however that kernel ran only for half a day on this machine. I have no logs for older kernels.

Probably not useful, but I noticed the stack trace is different in 4.x.x kernels:
Call Trace:
<IRQ>
? pfifo_fast_dequeue+0x160/0x160
call_timer_fn+0x2b/0x130
run_timer_softirq+0x3ad/0x3e0
? tick_sched_timer+0x37/0x70
? __hrtimer_run_queues+0x110/0x280
__do_softirq+0xe3/0x2eb
irq_exit+0x100/0x110
smp_apic_timer_interrupt+0x74/0x140
apic_timer_interrupt+0xf/0x20
</IRQ>
A similar bug has been reported against "pfifo_fast_dequeue", see bug 1647124. Oldest kernel mentioned there is 4.18.16-300.fc29.

~> ethtool -k enp5s0
Features for enp5s0:
rx-checksumming: on
tx-checksumming: off
        tx-checksum-ipv4: off
        tx-checksum-ip-generic: off [fixed]
        tx-checksum-ipv6: off
        tx-checksum-fcoe-crc: off [fixed]
        tx-checksum-sctp: off [fixed]
scatter-gather: off
        tx-scatter-gather: off
        tx-scatter-gather-fraglist: off [fixed]
tcp-segmentation-offload: off
        tx-tcp-segmentation: off
        tx-tcp-ecn-segmentation: off [fixed]
        tx-tcp-mangleid-segmentation: off
        tx-tcp6-segmentation: off
generic-segmentation-offload: off [requested on]
generic-receive-offload: on
large-receive-offload: off [fixed]
rx-vlan-offload: on
tx-vlan-offload: on
ntuple-filters: off [fixed]
receive-hashing: off [fixed]
highdma: on [fixed]
rx-vlan-filter: off [fixed]
vlan-challenged: off [fixed]
tx-lockless: off [fixed]
netns-local: off [fixed]
tx-gso-robust: off [fixed]
tx-fcoe-segmentation: off [fixed]
tx-gre-segmentation: off [fixed]
tx-gre-csum-segmentation: off [fixed]
tx-ipxip4-segmentation: off [fixed]
tx-ipxip6-segmentation: off [fixed]
tx-udp_tnl-segmentation: off [fixed]
tx-udp_tnl-csum-segmentation: off [fixed]
tx-gso-partial: off [fixed]
tx-sctp-segmentation: off [fixed]
tx-esp-segmentation: off [fixed]
tx-udp-segmentation: off [fixed]
fcoe-mtu: off [fixed]
tx-nocache-copy: off
loopback: off [fixed]
rx-fcs: off
rx-all: off
tx-vlan-stag-hw-insert: off [fixed]
rx-vlan-stag-hw-parse: off [fixed]
rx-vlan-stag-filter: off [fixed]
l2-fwd-offload: off [fixed]
hw-tc-offload: off [fixed]
esp-hw-offload: off [fixed]
esp-tx-csum-hw-offload: off [fixed]
rx-udp_tunnel-port-offload: off [fixed]
tls-hw-tx-offload: off [fixed]
tls-hw-rx-offload: off [fixed]
rx-gro-hw: off [fixed]
tls-hw-record: off [fixed]

Comment 25 alain.thiaville 2019-06-09 21:02:47 UTC
Description of problem:
kernel vmlinuz-5.1.6-300.fc30.x86_64 ethernet access

Version-Release number of selected component:
kernel-core-5.1.6-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd1,msdos3)/vmlinuz-5.1.6-300.fc30.x86_64 root=/dev/mapper/ssd-root ro rd.lvm.lv=ssd/root rhgb pcie_aspm=force quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.6-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0f2 (r8169): transmit queue 0 timed out
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: fuse rfcomm ccm cmac bnep sunrpc btusb btrtl btbcm btintel bluetooth ecdh_generic intel_rapl arc4 x86_pkg_temp_thermal intel_powerclamp iwldvm coretemp mac80211 kvm_intel iwlwifi kvm snd_hda_codec_hdmi snd_hda_codec_via snd_hda_codec_generic ledtrig_audio snd_hda_intel snd_hda_codec cfg80211 snd_hda_core snd_hwdep mei_hdcp irqbypass snd_seq crct10dif_pclmul iTCO_wdt iTCO_vendor_support crc32_pclmul snd_seq_device ghash_clmulni_intel snd_pcm intel_cstate intel_uncore intel_rapl_perf mei_me snd_timer joydev mei i2c_i801 snd rtsx_pci_ms lpc_ich rfkill memstick soundcore pcc_cpufreq ip_tables i915 rtsx_pci_sdmmc mmc_core crc32c_intel i2c_algo_bit drm_kms_helper serio_raw drm rtsx_pci video r8169 wmi
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 5.1.6-300.fc30.x86_64 #1
Hardware name: Notebook                        W310CZ/CZ-T      /W310CZ          , BIOS 4.6.5 12/24/2013
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 d2 43 ad 00 01 e8 8c 72 fb ff 44 89 e1 4c 89 ee 48 c7 c7 e0 6e 18 99 48 89 c2 e8 76 1e 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff9f049b103e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9f0494308000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff9f049b1168c0
RBP: ffff9f04984b2480 R08: 0000000000000001 R09: 00000000000003ca
R10: ffffffff999d2860 R11: 0000000000000003 R12: 0000000000000000
R13: ffff9f04984b2000 R14: 0000000000000000 R15: ffff9f049b103ed8
FS:  0000000000000000(0000) GS:ffff9f049b100000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fc5aca72000 CR3: 00000000d2db4003 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? __hrtimer_init+0xb0/0xb0
 ? hrtimer_wakeup+0x1e/0x30
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:finish_task_switch+0x7a/0x2a0
Code: 44 00 00 65 48 8b 1c 25 00 5c 01 00 0f 1f 44 00 00 0f 1f 44 00 00 41 c7 45 38 00 00 00 00 41 c6 04 24 00 fb 66 0f 1f 44 00 00 <65> 48 8b 04 25 00 5c 01 00 0f 1f 44 00 00 4d 85 f6 74 1a 41 8b 86
RSP: 0018:ffffaa48406a7e30 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: 0000000080000000 RBX: ffff9f049a063c80 RCX: 00007feb4362c640
RDX: 0000000000000000 RSI: 0000000000000001 RDI: ffff9f04261c5ac0
RBP: ffffaa48406a7e58 R08: 000000000007a781 R09: ffff9f0492552e00
R10: 0000000000436c6c R11: 0000000000000001 R12: ffff9f049b120f40
R13: ffff9f04261c5ac0 R14: 0000000000000000 R15: 0000000000000001
 __schedule+0x2c1/0x890
 schedule_idle+0x28/0x40
 do_idle+0x15f/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x17d/0x1d0
 secondary_startup_64+0xa4/0xb0

Comment 26 Heiner Kallweit 2019-06-10 12:34:05 UTC
Please stop posting transmit timeout traces. These traces include no relevant information.
Check comment 22 regarding which info is helpful.

Comment 27 alain.thiaville 2019-06-10 13:15:54 UTC
from comment 22
XID : r8169 0000:03:00.2 eth0: RTL8402, 00:90:f5:f6:e6:82, XID 440, IRQ 29
[Alain@balix ~]$ ethtool -k enp3s0f2
Features for enp3s0f2:
rx-checksumming: on
tx-checksumming: off
tx-checksum-ipv4: off
tx-checksum-ip-generic: off [fixed]
tx-checksum-ipv6: off
tx-checksum-fcoe-crc: off [fixed]
tx-checksum-sctp: off [fixed]
scatter-gather: off
tx-scatter-gather: off
tx-scatter-gather-fraglist: off [fixed]
tcp-segmentation-offload: off
tx-tcp-segmentation: off
tx-tcp-ecn-segmentation: off [fixed]
tx-tcp-mangleid-segmentation: off
tx-tcp6-segmentation: off
generic-segmentation-offload: off [requested on]
generic-receive-offload: on
large-receive-offload: off [fixed]
rx-vlan-offload: on
tx-vlan-offload: on
ntuple-filters: off [fixed]
receive-hashing: off [fixed]
highdma: on [fixed]
rx-vlan-filter: off [fixed]
vlan-challenged: off [fixed]
tx-lockless: off [fixed]
netns-local: off [fixed]
tx-gso-robust: off [fixed]
tx-fcoe-segmentation: off [fixed]
tx-gre-segmentation: off [fixed]
tx-gre-csum-segmentation: off [fixed]
tx-ipxip4-segmentation: off [fixed]
tx-ipxip6-segmentation: off [fixed]
tx-udp_tnl-segmentation: off [fixed]
tx-udp_tnl-csum-segmentation: off [fixed]
tx-gso-partial: off [fixed]
tx-sctp-segmentation: off [fixed]
tx-esp-segmentation: off [fixed]
tx-udp-segmentation: off [fixed]
fcoe-mtu: off [fixed]
tx-nocache-copy: off
loopback: off [fixed]
rx-fcs: off
rx-all: off
tx-vlan-stag-hw-insert: off [fixed]
rx-vlan-stag-hw-parse: off [fixed]
rx-vlan-stag-filter: off [fixed]
l2-fwd-offload: off [fixed]
hw-tc-offload: off [fixed]
esp-hw-offload: off [fixed]
esp-tx-csum-hw-offload: off [fixed]
rx-udp_tunnel-port-offload: off [fixed]
tls-hw-tx-offload: off [fixed]
tls-hw-rx-offload: off [fixed]
rx-gro-hw: off [fixed]
tls-hw-record: off [fixed]

Comment 28 alain.thiaville 2019-06-10 13:23:35 UTC
additionnal comment from comment 27
also in "uname -r" :5.1.7-300.fc30.x86_64
always appears in resuming from suspend

Comment 29 Ionut Radu 2019-06-10 17:25:23 UTC
Description of problem:

Updated the kernel and rebooted

Version-Release number of selected component:
kernel-core-5.1.7-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos3)/boot/vmlinuz-5.1.7-300.fc30.x86_64 root=UUID=3cc83b77-adf3-48a8-a7db-28c28338cbfe ro rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.7-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: ccm fuse rfcomm arc4 bnep binfmt_misc sunrpc intel_rapl snd_soc_skl x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_hdac_hda snd_hda_ext_core snd_hda_codec_hdmi kvm_intel snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_acpi_intel_match snd_soc_acpi snd_soc_core ath10k_pci kvm snd_hda_codec_realtek snd_compress snd_hda_codec_generic ledtrig_audio ac97_bus snd_pcm_dmaengine ath10k_core snd_hda_intel snd_hda_codec hid_multitouch mac80211 iTCO_wdt iTCO_vendor_support mei_hdcp irqbypass snd_hda_core snd_hwdep snd_seq crct10dif_pclmul snd_seq_device crc32_pclmul ath snd_pcm uvcvideo ghash_clmulni_intel intel_cstate cfg80211 intel_uncore btusb intel_rapl_perf videobuf2_vmalloc btrtl videobuf2_memops videobuf2_v4l2 btbcm btintel videobuf2_common snd_timer acer_wmi intel_wmi_thunderbolt bluetooth sparse_keymap wmi_bmof videodev snd rtsx_pci_ms soundcore memstick i2c_i801 joydev mei_me media ecdh_generic rfkill idma64 mei intel_lpss_pci intel_lpss
 intel_pch_thermal intel_xhci_usb_role_switch roles acer_wireless acpi_pad pcc_cpufreq nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm crc32c_intel i2c_algo_bit drm_kms_helper drm serio_raw r8169 rtsx_pci i2c_hid wmi video
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 5.1.7-300.fc30.x86_64 #1
Hardware name: Acer Aspire E5-575G/Ironman_SK, BIOS V1.47 09/06/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 a2 43 ad 00 01 e8 7c 72 fb ff 44 89 e1 4c 89 ee 48 c7 c7 40 6e 18 b4 48 89 c2 e8 66 1e 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff948c26a03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff948c1e6d9800 RCX: 000000000000083f
RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
RBP: ffff948c2331a480 R08: ffff948c26a168c8 R09: 00000000000003d1
R10: ffffffffb49d4390 R11: 0000000000000003 R12: 0000000000000000
R13: ffff948c2331a000 R14: 0000000000000000 R15: ffff948c26a03ed8
FS:  0000000000000000(0000) GS:ffff948c26a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f73a71c2000 CR3: 000000024f20e003 CR4: 00000000003606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 01 e3 94 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 93 b2 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffffffb4203e78 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff948c26a20f40 RBX: ffffffffb42d6f20 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000002c13bf1e RDI: 0000000000000000
RBP: ffff948c26a2b808 R08: 00000018f368e0ea R09: 00000000000022ca
R10: ffff948c26a1fdc4 R11: ffff948c26a1fda4 R12: 0000000000000008
R13: 00000018f368e0ea R14: 0000000000000008 R15: ffffffffb4217780
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_kernel+0x4f5/0x512
 secondary_startup_64+0xa4/0xb0

Comment 30 Ionut Radu 2019-06-10 17:33:09 UTC
XID Line: r8169 0000:04:00.1 eth0: RTL8411, 54:ab:3a:c1:d3:c2, XID 5c8, IRQ 129

$ ethtool -k enp4s0f1
Features for enp4s0f1:
rx-checksumming: on
tx-checksumming: off
	tx-checksum-ipv4: off
	tx-checksum-ip-generic: off [fixed]
	tx-checksum-ipv6: off
	tx-checksum-fcoe-crc: off [fixed]
	tx-checksum-sctp: off [fixed]
scatter-gather: off
	tx-scatter-gather: off
	tx-scatter-gather-fraglist: off [fixed]
tcp-segmentation-offload: off
	tx-tcp-segmentation: off
	tx-tcp-ecn-segmentation: off [fixed]
	tx-tcp-mangleid-segmentation: off
	tx-tcp6-segmentation: off
generic-segmentation-offload: off [requested on]
generic-receive-offload: on
large-receive-offload: off [fixed]
rx-vlan-offload: on
tx-vlan-offload: on
ntuple-filters: off [fixed]
receive-hashing: off [fixed]
highdma: on [fixed]
rx-vlan-filter: off [fixed]
vlan-challenged: off [fixed]
tx-lockless: off [fixed]
netns-local: off [fixed]
tx-gso-robust: off [fixed]
tx-fcoe-segmentation: off [fixed]
tx-gre-segmentation: off [fixed]
tx-gre-csum-segmentation: off [fixed]
tx-ipxip4-segmentation: off [fixed]
tx-ipxip6-segmentation: off [fixed]
tx-udp_tnl-segmentation: off [fixed]
tx-udp_tnl-csum-segmentation: off [fixed]
tx-gso-partial: off [fixed]
tx-sctp-segmentation: off [fixed]
tx-esp-segmentation: off [fixed]
tx-udp-segmentation: off [fixed]
fcoe-mtu: off [fixed]
tx-nocache-copy: off
loopback: off [fixed]
rx-fcs: off
rx-all: off
tx-vlan-stag-hw-insert: off [fixed]
rx-vlan-stag-hw-parse: off [fixed]
rx-vlan-stag-filter: off [fixed]
l2-fwd-offload: off [fixed]
hw-tc-offload: off [fixed]
esp-hw-offload: off [fixed]
esp-tx-csum-hw-offload: off [fixed]
rx-udp_tunnel-port-offload: off [fixed]
tls-hw-tx-offload: off [fixed]
tls-hw-rx-offload: off [fixed]
rx-gro-hw: off [fixed]
tls-hw-record: off [fixed]

Comment 31 Heiner Kallweit 2019-06-10 17:40:33 UTC
Relevant would be also the info whether jumbo packets are enabled. That's the case only if explicitly set.
If in doubt "ifconfig <if>" provides the max MTU size.

Comment 32 Ionut Radu 2019-06-10 17:42:03 UTC
In router jumbo is disabled. The MTU is 1500:

enp4s0f1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        ether 54:ab:3a:c1:d3:c2  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 186  bytes 25212 (24.6 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

Comment 33 Ondrej Svetlik 2019-06-10 17:46:08 UTC
enp0s31f6: flags=4099<AKTIVOVÁNO,VŠESMĚR,MULTICAST>  mtu 1500
        ether 54:e1:ad:10:58:57 délka_odchozí_fronty 1000  (Ethernet)
        RX packetů 0  bajtů 0 (0,0 B)
        RX chyb 0  zahozeno 0  přetečení 0  rámců 0
        TX packetů 0  bajtů 0 (0,0 B)
        TX chyb 0  zahozeno 0  přetečení 0  přenos 0  kolizí 0
        device přerušení 16  paměť 0xf1300000–f1320000

Comment 34 alain.thiaville 2019-06-11 13:20:29 UTC
WORKAROUND TO NOT REBOOT "ten years after - I'm Going Home !!!!" i.e bug in r8169 firmware reappears"
 "rmmod r8169 (not !!! modprobe -r ) and then modprobe r8169 as in this executable :

cat /usr/lib/systemd/system-sleep/r8169-bug.sh

#!/bin/sh
case $1/$2 in
pre/*)
echo "$1/$2 pre-hook: removing r8169 ...."
exec rmmod r8169
# modprobe -r r8169 : error modprobe: FATAL: Module realtek is builtin
exit 0
;;
post/*)
echo "$1/$2 post-hook loading r8169..."
exec modprobe r8169
exit 0
;;
esac

script tested from suspend and hibernate since 2 days

Comment 35 alain.thiaville 2019-06-14 05:39:11 UTC
issue appears from kernel 5.1x :
[Alain@balix ~]$ journalctl -S  2019-05-01 |egrep 'NETDEV WATCHDOG|Linux version'
mai 06 14:08:37 balix kernel: Linux version 5.0.10-200.fc29.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 8.3.1 20190223 (Red Hat 8.3.1-2) (GCC)) #1 SMP Mon Apr 29 14:51:52 UTC 2019
mai 09 08:03:29 balix kernel: Linux version 5.0.11-200.fc29.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 8.3.1 20190223 (Red Hat 8.3.1-2) (GCC)) #1 SMP Thu May 2 14:25:14 UTC 2019
mai 10 13:54:10 balix kernel: Linux version 5.0.13-200.fc29.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 8.3.1 20190223 (Red Hat 8.3.1-2) (GCC)) #1 SMP Mon May 6 00:49:54 UTC 2019
mai 10 17:19:14 balix kernel: Linux version 5.0.13-200.fc29.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 8.3.1 20190223 (Red Hat 8.3.1-2) (GCC)) #1 SMP Mon May 6 00:49:54 UTC 2019
mai 10 19:16:38 balix kernel: Linux version 5.0.13-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.0.1 20190312 (Red Hat 9.0.1-0.10) (GCC)) #1 SMP Mon May 6 00:39:45 UTC 2019
mai 10 19:45:07 balix kernel: Linux version 5.0.13-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.0.1 20190312 (Red Hat 9.0.1-0.10) (GCC)) #1 SMP Mon May 6 00:39:45 UTC 2019
mai 10 19:51:07 balix kernel: Linux version 5.0.13-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.0.1 20190312 (Red Hat 9.0.1-0.10) (GCC)) #1 SMP Mon May 6 00:39:45 UTC 2019
mai 12 19:48:49 balix kernel: Linux version 5.0.13-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.0.1 20190312 (Red Hat 9.0.1-0.10) (GCC)) #1 SMP Mon May 6 00:39:45 UTC 2019
mai 12 19:56:01 balix kernel: Linux version 5.0.13-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.0.1 20190312 (Red Hat 9.0.1-0.10) (GCC)) #1 SMP Mon May 6 00:39:45 UTC 2019
mai 23 20:58:21 balix kernel: Linux version 5.0.16-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Tue May 14 19:33:09 UTC 2019
mai 26 11:29:04 balix kernel: Linux version 5.0.17-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Mon May 20 15:36:26 UTC 2019
juin 09 08:56:27 balix kernel: Linux version 5.1.6-300.fc30.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Fri May 31 17:43:23 UTC 2019
juin 09 21:04:51 balix kernel: NETDEV WATCHDOG: enp3s0f2 (r8169): transmit queue 0 timed out
juin 09 21:37:19 balix kernel: Linux version 5.1.6-300.fc30.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Fri May 31 17:43:23 UTC 2019
juin 09 22:37:15 balix kernel: NETDEV WATCHDOG: enp3s0f2 (r8169): transmit queue 0 timed out
juin 10 06:27:57 balix kernel: Linux version 5.1.6-300.fc30.x86_64 (mockbuild@bkernel04.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Fri May 31 17:43:23 UTC 2019
juin 10 08:01:40 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 10 08:16:16 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 10 11:45:14 balix kernel: NETDEV WATCHDOG: enp3s0f2 (r8169): transmit queue 0 timed out
juin 10 14:07:20 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 10 14:24:47 balix kernel: NETDEV WATCHDOG: enp3s0f2 (r8169): transmit queue 0 timed out
juin 11 06:19:56 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 11 06:34:42 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 11 08:46:56 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 13 09:06:21 balix kernel: Linux version 5.1.7-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Wed Jun 5 12:32:28 UTC 2019
juin 13 10:32:21 balix kernel: Linux version 5.1.8-300.fc30.x86_64 (mockbuild@bkernel03.phx2.fedoraproject.org) (gcc version 9.1.1 20190503 (Red Hat 9.1.1-1) (GCC)) #1 SMP Sun Jun 9 17:09:32 UTC 201

Note:
Since 2019-06-10 workarount is in use see comment #34

Comment 36 Ionut Radu 2019-06-16 06:49:27 UTC
When updating kernel, one needs to reboot. The issue is happening when rebooting.
The workaround is not useful.

Comment 37 Heiner Kallweit 2019-06-16 16:00:11 UTC
The following experimental patch applies on top of latest linux-next. It can easily by applied manually on older kernels (r8169.c) too.
I'd appreciate if affected people with the option to build an own kernel could test this patch. It:
1. Resets BQL before calling netif_device_attach()
2. Adds some debug output if a timeout occurs. If the timeout still occurs, please post this dmesg line.


diff --git a/drivers/net/ethernet/realtek/r8169_main.c b/drivers/net/ethernet/realtek/r8169_main.c
index 5c36d92cb..be0606ba9 100644
--- a/drivers/net/ethernet/realtek/r8169_main.c
+++ b/drivers/net/ethernet/realtek/r8169_main.c
@@ -5305,8 +5305,12 @@ static void rtl_reset_work(struct rtl8169_private *tp)
 
 static void rtl8169_tx_timeout(struct net_device *dev)
 {
+	struct netdev_queue *txq = netdev_get_tx_queue(dev, 0);
 	struct rtl8169_private *tp = netdev_priv(dev);
 
+	netif_err(tp, drv, dev, "Tx timeout: state = 0x%lx last tx start = %lu jiffies = %lu\n",
+		  txq->state, txq->trans_start, jiffies);
+
 	rtl_schedule_task(tp, RTL_FLAG_TASK_RESET_PENDING);
 }
 
@@ -6257,6 +6261,7 @@ static void __rtl8169_resume(struct net_device *dev)
 {
 	struct rtl8169_private *tp = netdev_priv(dev);
 
+	netdev_reset_queue(dev);
 	netif_device_attach(dev);
 
 	rtl_pll_power_up(tp);
-- 
2.22.0

Comment 38 martin.lepetit 2019-06-19 12:07:03 UTC
*** Bug 1722037 has been marked as a duplicate of this bug. ***

Comment 39 Ionut Radu 2019-06-22 09:04:01 UTC
I've applied the patch:

% dmesg | grep r8169
[    2.714474] r8169 0000:04:00.1: can't disable ASPM; OS doesn't have ASPM control
[    2.723847] libphy: r8169: probed
[    2.724458] r8169 0000:04:00.1 eth0: RTL8411, 54:ab:3a:c1:d3:c2, XID 5c8, IRQ 129
[    2.724461] r8169 0000:04:00.1 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    2.960383] r8169 0000:04:00.1 enp4s0f1: renamed from eth0
[    9.843683] Generic Realtek PHY r8169-401:00: attached PHY driver [Generic Realtek PHY] (mii_bus:phy_addr=r8169-401:00, irq=IGNORE)
[    9.947733] r8169 0000:04:00.1 enp4s0f1: Link is Down
[   12.476187] r8169 0000:04:00.1 enp4s0f1: Link is Up - 1Gbps/Full - flow control rx/tx
[  111.473245] NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
[  111.473394]  soundcore roles mei i2c_i801 intel_lpss_pci intel_lpss acer_wireless pcc_cpufreq acpi_pad rtsx_pci_sdmmc mmc_core nouveau i915 crc32c_intel mxm_wmi ttm r8169 rtsx_pci i2c_algo_bit drm_kms_helper serio_raw drm i2c_hid video wmi
[  111.473867] r8169 0000:04:00.1 enp4s0f1: Tx timeout: state = 0x6 last tx start = 4294769928 jiffies = 4294778368

Please note that most of the times the timeout is not occurring although the NIC is not functional neither. Only after trying to connect for dozens times the timeout occurs.

Comment 40 Ionut Radu 2019-06-22 09:05:51 UTC
Created attachment 1583419 [details]
dmesg


Adding dmesg

Comment 41 Ionut Radu 2019-06-23 07:59:37 UTC
Please also note that the message "Link is up" appears in dmesg although NIC is not functional.

Comment 42 Heiner Kallweit 2019-06-23 15:19:53 UTC
(In reply to Ionut Radu from comment #41)
> Please also note that the message "Link is up" appears in dmesg although NIC
> is not functional.
This is ok. "Link up" refers to the physical link, it doesn't say anything about whether the upper layers are ok.

"Tx timeout: state = 0x6" means that not the driver but BQL (byte queue limits) stopped the q

Comment 43 Heiner Kallweit 2019-06-23 15:27:38 UTC
continuing comment 42 ..
queue. Having said there's a good chance that the root cause on a different layer. Or the driver may use the BQL API incorrectly, but at least for now I think that's less likely.
Also open is why few systems face the issue even w/o signifcant load at boot, whilst others (e.g. my systems) behave properly also under load (w/ BQL).
I will check which other debug info may be helpful in case of such a timeout.

Comment 44 Ionut Radu 2019-06-23 20:07:44 UTC
Maybe it depends on NIC revision.

I have two systems with realtek nics from which this one has no issue:

03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 07)
    Subsystem: Lenovo Device 5002
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
    Latency: 0, Cache Line Size: 64 bytes
    Interrupt: pin A routed to IRQ 19
    Region 0: I/O ports at 2000 [size=256]
    Region 2: Memory at f0404000 (64-bit, prefetchable) [size=4K]
    Region 4: Memory at f0400000 (64-bit, prefetchable) [size=16K]
    Capabilities: <access denied>
    Kernel driver in use: r8169
    Kernel modules: r8169 

This one has the issue:

04:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
	Subsystem: Acer Incorporated [ALI] Device 1094
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at 3000 [size=256]
	Region 2: Memory at b4204000 (64-bit, non-prefetchable) [size=4K]
	Region 4: Memory at b4200000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

From what I see there is a revision difference. rev 7 vs. rev 12

Comment 45 Heiner Kallweit 2019-06-24 20:38:17 UTC
Here comes a debug patch for 5.0/5.1 that provides more info. I would appreciate if affected people could apply this and post results once the queue timeout occurs.

diff --git a/drivers/net/ethernet/realtek/r8169.c b/drivers/net/ethernet/realtek/r8169.c
index d06a61f00..614958fb8 100644
--- a/drivers/net/ethernet/realtek/r8169.c
+++ b/drivers/net/ethernet/realtek/r8169.c
@@ -31,6 +31,7 @@
 #include <linux/prefetch.h>
 #include <linux/pci-aspm.h>
 #include <linux/ipv6.h>
+#include <net/sch_generic.h>
 #include <net/ip6_checksum.h>
 
 #define MODULENAME "r8169"
@@ -5759,6 +5760,20 @@ static void rtl_reset_work(struct rtl8169_private *tp)
 static void rtl8169_tx_timeout(struct net_device *dev)
 {
 	struct rtl8169_private *tp = netdev_priv(dev);
+	struct netdev_queue *txq = netdev_get_tx_queue(dev, 0);
+	unsigned int i;
+
+	netdev_err(dev, "tx queue state: %lx\n", txq->state);
+	netdev_err(dev, "BQL avail: %d\n", qdisc_avail_bulklimit(txq));
+	netdev_err(dev, "cur_tx: %u dirty_tx: %u\n", tp->cur_tx, tp->dirty_tx);
+
+	for (i = 0; i < tp->cur_tx - tp->dirty_tx; i++) {
+		unsigned int entry = (tp->dirty_tx + i) % NUM_TX_DESC;
+		u32 opts1 = le32_to_cpu(tp->TxDescArray[entry].opts1);
+		u32 opts2 = le32_to_cpu(tp->TxDescArray[entry].opts2);
+
+		netdev_err(dev, "Descr %u: opts1 = 0x%08x opts2 = 0x%08x\n", entry, opts1, opts2);
+	}
 
 	rtl_schedule_task(tp, RTL_FLAG_TASK_RESET_PENDING);
 }
-- 
2.22.0

Comment 46 Heiner Kallweit 2019-06-25 13:13:24 UTC
Also interesting would be whether issue still occurs with latest linux-next (git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git).

Comment 47 Ionut Radu 2019-06-26 05:02:04 UTC
With the new patch result is:

% dmesg | grep r8169
[    2.710813] r8169 0000:04:00.1: can't disable ASPM; OS doesn't have ASPM control
[    2.738656] libphy: r8169: probed
[    2.739412] r8169 0000:04:00.1 eth0: RTL8411, 54:ab:3a:c1:d3:c2, XID 5c8, IRQ 129
[    2.739416] r8169 0000:04:00.1 eth0: jumbo features [frames: 9200 bytes, tx checksumming: ko]
[    2.920405] r8169 0000:04:00.1 enp4s0f1: renamed from eth0
[    9.981923] Generic Realtek PHY r8169-401:00: attached PHY driver [Generic Realtek PHY] (mii_bus:phy_addr=r8169-401:00, irq=IGNORE)
[   10.084947] r8169 0000:04:00.1 enp4s0f1: Link is Down
[   12.575407] r8169 0000:04:00.1 enp4s0f1: Link is Up - 1Gbps/Full - flow control rx/tx
[   84.910920]  intel_lpss_pci roles intel_lpss intel_pch_thermal acer_wireless acpi_pad pcc_cpufreq i915 nouveau rtsx_pci_sdmmc mmc_core crc32c_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper serio_raw r8169 rtsx_pci drm i2c_hid wmi video
[  123.085046] NETDEV WATCHDOG: enp4s0f1 (r8169): transmit queue 0 timed out
[  123.085225]  intel_lpss_pci roles intel_lpss intel_pch_thermal acer_wireless acpi_pad pcc_cpufreq i915 nouveau rtsx_pci_sdmmc mmc_core crc32c_intel mxm_wmi ttm i2c_algo_bit drm_kms_helper serio_raw r8169 rtsx_pci drm i2c_hid wmi video
[  123.086519] r8169 0000:04:00.1 enp4s0f1: tx queue state: 6
[  123.086527] r8169 0000:04:00.1 enp4s0f1: BQL avail: -48
[  123.086534] r8169 0000:04:00.1 enp4s0f1: cur_tx: 161 dirty_tx: 158
[  123.086541] r8169 0000:04:00.1 enp4s0f1: Descr 30: opts1 = 0xb000003e opts2 = 0x00000000
[  123.086548] r8169 0000:04:00.1 enp4s0f1: Descr 31: opts1 = 0xb000003e opts2 = 0x00000000
[  123.086554] r8169 0000:04:00.1 enp4s0f1: Descr 32: opts1 = 0xb000015b opts2 = 0x00000000

Comment 48 Ionut Radu 2019-06-26 05:02:59 UTC
Created attachment 1584601 [details]
dmesg


Attaching dmesg

Comment 49 Heiner Kallweit 2019-06-27 20:55:34 UTC
The not sent packets are quite small (62 bytes) and one chip version has a known issue with packet sizes < 60 bytes.
Let's see whether a little bit of padding helps. Can you try the following patch on top of the debug print patch?


diff --git a/drivers/net/ethernet/realtek/r8169.c b/drivers/net/ethernet/realtek/r8169.c
index a73f25321..66b8f2645 100644
--- a/drivers/net/ethernet/realtek/r8169.c
+++ b/drivers/net/ethernet/realtek/r8169.c
@@ -5490,6 +5490,9 @@ static bool rtl8169_tso_csum_v2(struct rtl8169_private *tp,
 		if (unlikely(rtl_test_hw_pad_bug(tp, skb)))
 			return !(skb_checksum_help(skb) || eth_skb_pad(skb));
 
+		if (skb->len >= 60 && skb->len < 64)
+			return !(skb_checksum_help(skb) || skb_put_padto(skb, 64));
+
 		if (transport_offset > TCPHO_MAX) {
 			netif_warn(tp, tx_err, tp->dev,
 				   "Invalid transport offset 0x%x\n",
@@ -5524,6 +5527,8 @@ static bool rtl8169_tso_csum_v2(struct rtl8169_private *tp,
 	} else {
 		if (unlikely(rtl_test_hw_pad_bug(tp, skb)))
 			return !eth_skb_pad(skb);
+		if (skb->len >= 60 && skb->len < 64)
+			return !skb_put_padto(skb, 64);
 	}
 
 	return true;
-- 
2.22.0

Comment 50 Ionut Radu 2019-06-28 19:04:38 UTC
Created attachment 1585732 [details]
dmesg


Thing are worst with the new patch:

[  123.321637] r8169 0000:04:00.1 enp4s0f1: tx queue state: 6
[  123.321649] r8169 0000:04:00.1 enp4s0f1: BQL avail: -66
[  123.321659] r8169 0000:04:00.1 enp4s0f1: cur_tx: 144 dirty_tx: 138
[  123.321671] r8169 0000:04:00.1 enp4s0f1: Descr 10: opts1 = 0xb000002a opts2 = 0x00000000
[  123.321682] r8169 0000:04:00.1 enp4s0f1: Descr 11: opts1 = 0xb000002a opts2 = 0x00000000
[  123.321692] r8169 0000:04:00.1 enp4s0f1: Descr 12: opts1 = 0xb000002a opts2 = 0x00000000
[  123.321702] r8169 0000:04:00.1 enp4s0f1: Descr 13: opts1 = 0xb0000082 opts2 = 0x00000000
[  123.321712] r8169 0000:04:00.1 enp4s0f1: Descr 14: opts1 = 0xb00000b5 opts2 = 0x00000000
[  123.321722] r8169 0000:04:00.1 enp4s0f1: Descr 15: opts1 = 0xb0000096 opts2 = 0x00000000

Comment 51 Heiner Kallweit 2019-06-29 16:22:41 UTC
OK. Is the issue a regression? What was the last kernel version w/o this issue? In case it's a regression it would be helpful if you could bisect the issue.
Seems that not all systems / configurations are affected, e.g. I can't reproduce the issue on my systems.

Comment 52 Ionut Radu 2019-06-29 17:04:32 UTC
Now, the not sent packets are 42B. Don't these packets need to be padded too? The patch will only pad packets from 60B to 63B.

The issue started to occur about one year ago. I think it started once with the r8169 optimization.

Comment 53 Heiner Kallweit 2019-06-29 22:14:39 UTC
Packets < 60 bytes are padded by hardware. To exclude an ASPM-related issue you could try boot parameter pcie_aspm.policy=performance.

Comment 54 Ionut Radu 2019-06-30 19:25:20 UTC
Created attachment 1586052 [details]
dmesg


I've tried, it didn't help.

Comment 55 Ionut Radu 2019-06-30 19:53:12 UTC
By the way. I've tried your patch, but changed it to pad any packet under 64B (including the ones under 60B) and NIC started, but the mouse left click was not functional, nor pressing enter on the keyboard, after alt+f2 in mate desktop to run a command.

Comment 56 Ionut Radu 2019-07-01 12:28:33 UTC
For my other system, the one with realtek nic that works there is a different display done by 
r8169 module:

[    2.631991] r8169 0000:03:00.0 eth0: RTL8168evl/8111evl, 3c:97:0e:c0:8a:4a, XID 2c9, IRQ 29

The one with the issue has this message:

[    2.739412] r8169 0000:04:00.1 eth0: RTL8411, 54:ab:3a:c1:d3:c2, XID 5c8, IRQ 129

Comment 57 Heiner Kallweit 2019-07-02 15:06:25 UTC
(In reply to Ionut Radu from comment #55)
> By the way. I've tried your patch, but changed it to pad any packet under
> 64B (including the ones under 60B) and NIC started, but the mouse left click
> was not functional, nor pressing enter on the keyboard, after alt+f2 in mate
> desktop to run a command.

I don't see how such a change to the network driver should impact mouse and keyboard functionality (most likely USB).
A HW issue with RTL8411 is also not very likely, as it work fine in other systems.
As stated before: I think only bisecting on an affected system may help to find the root cause.

Comment 58 João Meisen 2019-07-04 17:41:39 UTC
Description of problem:
The error message pops up immediately after login

Version-Release number of selected component:
kernel-core-5.1.15-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.1.15-300.fc30.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.15-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp1s0f1 (r8169): transmit queue 0 timed out
WARNING: CPU: 2 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat dm_multipath scsi_dh_rdac scsi_dh_emc scsi_dh_alua snd_hda_codec_hdmi arc4 ath10k_pci ath10k_core intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl kvm_intel snd_soc_hdac_hda mac80211 snd_hda_ext_core snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_acpi_intel_match snd_soc_acpi snd_soc_core uvcvideo kvm btusb videobuf2_vmalloc videobuf2_memops snd_hda_codec_realtek btrtl btbcm mei_hdcp snd_hda_codec_generic btintel ath ledtrig_audio hid_multitouch snd_compress
 ac97_bus snd_pcm_dmaengine videobuf2_v4l2 bluetooth snd_hda_intel videobuf2_common iTCO_wdt iTCO_vendor_support snd_hda_codec videodev cfg80211 snd_hda_core irqbypass snd_hwdep rtsx_pci_ms snd_seq media snd_seq_device joydev memstick snd_pcm crct10dif_pclmul ecdh_generic crc32_pclmul mei_me snd_timer mei ghash_clmulni_intel snd intel_cstate idma64 intel_xhci_usb_role_switch roles intel_uncore acer_wmi soundcore i2c_i801 intel_lpss_pci intel_lpss sparse_keymap intel_rapl_perf rfkill intel_wmi_thunderbolt wmi_bmof acpi_pad acer_wireless pcc_cpufreq binfmt_misc ip_tables i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw r8169 rtsx_pci i2c_hid wmi video pinctrl_sunrisepoint pinctrl_intel
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 5.1.15-300.fc30.x86_64 #1
Hardware name: Acer Aspire A515-51/Charmander_KL, BIOS V2.02 01/03/2019
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 02 33 ad 00 01 e8 bc 71 fb ff 44 89 e1 4c 89 ee 48 c7 c7 90 7b 18 91 48 89 c2 e8 96 0d 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff9c416ed03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9c415d77aa00 RCX: 000000000000083f
RDX: 0000000000000000 RSI: 00000000000000f6 RDI: 000000000000083f
RBP: ffff9c416d63e480 R08: ffff9c416ed168c8 R09: 00000000000003cf
R10: ffffffff919d28f0 R11: 0000000000000003 R12: 0000000000000000
R13: ffff9c416d63e000 R14: 0000000000000000 R15: ffff9c416ed03ed8
FS:  0000000000000000(0000) GS:ffff9c416ed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000056049fa9d928 CR3: 000000026c20e005 CR4: 00000000003606e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 51 db 94 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 13 ab 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffb3acc0d37e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9c416ed20f40 RBX: ffffffff912d6f20 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000002c13bf1e RDI: 0000000000000000
RBP: ffff9c416ed2b800 R08: 0000000f2c27ecbb R09: 0000000000003f9c
R10: ffff9c416ed1fdc4 R11: ffff9c416ed1fda4 R12: 0000000000000008
R13: 0000000f2c27ecbb R14: 0000000000000008 R15: ffff9c416d5d1fc0
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x17d/0x1d0
 secondary_startup_64+0xa4/0xb0

Comment 59 Heiner Kallweit 2019-07-04 19:50:02 UTC
Based on a hint from Realtek I'd appreciate if affected people could test the following patch:

diff --git a/drivers/net/ethernet/realtek/r8169.c b/drivers/net/ethernet/realtek/r8169.c
index d06a61f00..a4c7bef08 100644
--- a/drivers/net/ethernet/realtek/r8169.c
+++ b/drivers/net/ethernet/realtek/r8169.c
@@ -6062,6 +6062,7 @@ static netdev_tx_t rtl8169_start_xmit(struct sk_buff *skb,
 
 	tp->cur_tx += frags + 1;
 
+	RTL_W8(tp, TxPoll, NPQ);
 	RTL_W8(tp, TxPoll, NPQ);
 
 	if (!rtl_tx_slots_avail(tp, MAX_SKB_FRAGS)) {
@@ -6195,8 +6196,10 @@ static void rtl_tx(struct net_device *dev, struct rtl8169_private *tp,
 		 * of start_xmit activity is detected (if it is not detected,
 		 * it is slow enough). -- FR
 		 */
-		if (tp->cur_tx != dirty_tx)
+		if (tp->cur_tx != dirty_tx) {
+			RTL_W8(tp, TxPoll, NPQ);
 			RTL_W8(tp, TxPoll, NPQ);
+		}
 	}
 }
 
-- 
2.22.0

Comment 60 Ionut Radu 2019-07-06 15:04:30 UTC

I did some research with old kernels and found this:

Date installed     Kernel             NIC working   Build Date
Sat 06 Jul 2019    4.17.5-200.fc28    No            Tue 10 Jul 2018
Sat 06 Jul 2019    4.16.2-300.fc28    Yes           Thu 12 Apr 2018
Sat 06 Jul 2019    4.15.10-200.fc26   Yes	    Thu 15 Mar 2018


Definition of "NIC not working kernel" is : rebooting from this kernel to a different kernel 
will result in NIC not starting (i.e. rebooting from 4.16.2-300.fc28 to any other kernel will 
result in starting of the NIC). Seems like the problem happens when the reboot is issued, so my 
testing of the patches until now was not good, because I rebooted from a NIC not working kernel to a 
different kernel, the kernel with the patch, while I should have rebooted from the kernel with the patch to a 
different kernel. I hope I'm clear.

Regarding the fact that the mouse and keyboard were not functional for the patch padding all 
packets under 64B, including the ones under 60B, maybe the kernel was too busy to pad packets, 
I don't know.

Comment 61 Ionut Radu 2019-07-06 16:29:10 UTC
By the way, the last patch is not good for me. 


Do you know from where to download other kernels to test?
I feel like 4.16.8-300.fc28 won't work either, because of
https://bugzilla.redhat.com/show_bug.cgi?id=1578971, 
but I cannot find it.

Comment 62 Heiner Kallweit 2019-07-06 16:59:33 UTC
You can download kernel source tarballs from here: https://cdn.kernel.org/pub/linux/kernel/

Comment 63 Ionut Radu 2019-07-06 17:11:40 UTC
I downloaded the compiled kernel rpms from here: https://koji.fedoraproject.org/koji/buildinfo?buildID=1104321

Here are the last results:

Installed Date     Kernel             NIC working   Build Date
Sat 06 Jul 2019    4.17.5-200.fc28    No            Tue 10 Jul 2018
Sat 06 Jul 2019    4.17.2-200.fc28    No            Tue 19 Jun 2018
Sat 06 Jul 2019    4.16.16-300.fc28   Yes           Sun 17 Jun 2018       
Sat 06 Jul 2019    4.16.14-300.fc28   Yes           Tue 05 Jun 2018
Sat 06 Jul 2019    4.16.8-300.fc28    Yes           Thu 10 May 2018
Sat 06 Jul 2019    4.16.2-300.fc28    Yes           Thu 12 Apr 2018

The issue was inserted once with the kernel-4.17.2-200.fc28, on Tue 19 Jun 2018.

Comment 64 Ionut Radu 2019-07-06 17:33:22 UTC
Another strange thing: I've booted kernel-5.1.16-300.fc30, and uninstalled all kernel-4.x and, after reboot 
to the same kernel (5.1.16-300.fc30) the NIC don't start, so it looks like it does not matter when booting 
from a kernel to a different kernel, the issue occurs when installing or uninstalling a kernel.

Comment 65 Ionut Radu 2019-07-06 17:47:24 UTC
Actually it matters when rebooting from a kernel to a different kernel too, because that's the way I've tested, 
for example:

From kernel 4.16.2, I've installed kernel 4.17.2. After reboot to kernel 4.17.2 the NIC started, but after 
reboot from 4.17.2 back to 4.16.2 the NIC didn't start, and no kernel installing or uninstalling was done before 
the last reboot.

Comment 66 Heiner Kallweit 2019-07-07 08:31:52 UTC
Thanks for the additional info, however the root cause could also be somewhere in the underlying subsystems.
Therefore only a bisect will help to identify the commit that broke behavior on your system.
You could use 4.16.16 as known good and 4.17.2 as known bad version. Git repo is:
git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git

Comment 67 Heiner Kallweit 2019-07-07 11:42:16 UTC
In some old thread I found a hint that there may be an issue with this chip version and MSI-X.
Could you please test whether following (switching from MSI-X to MSI) helps?

diff --git a/drivers/net/ethernet/realtek/r8169.c b/drivers/net/ethernet/realtek/r8169.c
index d06a61f00..9e35c46e9 100644
--- a/drivers/net/ethernet/realtek/r8169.c
+++ b/drivers/net/ethernet/realtek/r8169.c
@@ -6911,15 +6911,15 @@ static const struct rtl_cfg_info {
 
 static int rtl_alloc_irq(struct rtl8169_private *tp)
 {
-	unsigned int flags;
+	unsigned int flags = PCI_IRQ_ALL_TYPES;
 
 	if (tp->mac_version <= RTL_GIGA_MAC_VER_06) {
 		rtl_unlock_config_regs(tp);
 		RTL_W8(tp, Config2, RTL_R8(tp, Config2) & ~MSIEnable);
 		rtl_lock_config_regs(tp);
 		flags = PCI_IRQ_LEGACY;
-	} else {
-		flags = PCI_IRQ_ALL_TYPES;
+	} else if (tp->mac_version == RTL_GIGA_MAC_VER_44) {
+		flags = PCI_IRQ_LEGACY | PCI_IRQ_MSI;
 	}
 
 	return pci_alloc_irq_vectors(tp->pci_dev, 1, 1, flags);
-- 
2.22.0

Comment 68 Ionut Radu 2019-07-07 20:06:53 UTC
I don't know how to use git. 
Do I have to use git clone on a kernel first? What's the argument is this case?

I've checked the differences of the r8169.c between the two kernels, and noticed there are 2 types of RTL8411:  RTL_GIGA_MAC_VER_38 and RTL_GIGA_MAC_VER_44.
Mine is RTL_GIGA_MAC_VER_44.

Comment 69 Ionut Radu 2019-07-07 20:32:03 UTC
I did some searching and did this:

% git clone git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git
Cloning into 'linux-stable'...
remote: Counting objects: 7674291, done.
remote: Compressing objects: 100% (148160/148160), done.
remote: Total 7674291 (delta 794284), reused 928212 (delta 788516)
Receiving objects: 100% (7674291/7674291), 1.38 GiB | 7.84 MiB/s, done.
Resolving deltas: 100% (6459486/6459486), done.
Checking out files: 100% (64587/64587), done.

% cd linux-stable/


% git tag -l | grep 4.16.16
v4.16.16

% git checkout -b my4.16.16 v4.16.16

% make defconfig

% make -j3
scripts/kconfig/conf  --silentoldconfig Kconfig
  SYSTBL  arch/x86/include/generated/asm/syscalls_32.h
  SYSHDR  arch/x86/include/generated/asm/unistd_32_ia32.h
  CHK     include/config/kernel.release
  SYSHDR  arch/x86/include/generated/asm/unistd_64_x32.h
  SYSTBL  arch/x86/include/generated/asm/syscalls_64.h
  UPD     include/config/kernel.release
  WRAP    arch/x86/include/generated/uapi/asm/bpf_perf_event.h
  WRAP    arch/x86/include/generated/uapi/asm/poll.h
  CHK     include/generated/uapi/linux/version.h
  UPD     include/generated/uapi/linux/version.h
  CHK     include/generated/utsrelease.h
  UPD     include/generated/utsrelease.h
  DESCEND  objtool
  HOSTCC   /home/ionut/linux-stable/tools/objtool/fixdep.o
  HOSTLD   /home/ionut/linux-stable/tools/objtool/fixdep-in.o
  LINK     /home/ionut/linux-stable/tools/objtool/fixdep
  CC       /home/ionut/linux-stable/tools/objtool/exec-cmd.o
  CC       /home/ionut/linux-stable/tools/objtool/help.o
  CC       /home/ionut/linux-stable/tools/objtool/pager.o
  CC       /home/ionut/linux-stable/tools/objtool/parse-options.o
  CC       /home/ionut/linux-stable/tools/objtool/run-command.o
  CC       /home/ionut/linux-stable/tools/objtool/sigchain.o
  CC       /home/ionut/linux-stable/tools/objtool/subcmd-config.o
  LD       /home/ionut/linux-stable/tools/objtool/libsubcmd-in.o
  AR       /home/ionut/linux-stable/tools/objtool/libsubcmd.a
  GEN      /home/ionut/linux-stable/tools/objtool/arch/x86/lib/inat-tables.c
  CC       /home/ionut/linux-stable/tools/objtool/arch/x86/decode.o
  LD       /home/ionut/linux-stable/tools/objtool/arch/x86/objtool-in.o
  CC       /home/ionut/linux-stable/tools/objtool/builtin-check.o
  CC       /home/ionut/linux-stable/tools/objtool/builtin-orc.o
  CC       /home/ionut/linux-stable/tools/objtool/check.o
  SYSHDR  arch/x86/include/generated/uapi/asm/unistd_32.h
  SYSHDR  arch/x86/include/generated/uapi/asm/unistd_64.h
  SYSHDR  arch/x86/include/generated/uapi/asm/unistd_x32.h
  CC       /home/ionut/linux-stable/tools/objtool/orc_gen.o
  CC       /home/ionut/linux-stable/tools/objtool/orc_dump.o
  CC       /home/ionut/linux-stable/tools/objtool/elf.o
  CC       /home/ionut/linux-stable/tools/objtool/special.o
  CC       /home/ionut/linux-stable/tools/objtool/objtool.o
  CC       /home/ionut/linux-stable/tools/objtool/libstring.o
  CC       /home/ionut/linux-stable/tools/objtool/str_error_r.o
  LD       /home/ionut/linux-stable/tools/objtool/objtool-in.o
  LINK     /home/ionut/linux-stable/tools/objtool/objtool
  HOSTCC  arch/x86/tools/relocs_32.o
  HOSTCC  arch/x86/tools/relocs_64.o
  WRAP    arch/x86/include/generated/asm/dma-contiguous.h
  WRAP    arch/x86/include/generated/asm/early_ioremap.h
  WRAP    arch/x86/include/generated/asm/mcs_spinlock.h
  WRAP    arch/x86/include/generated/asm/mm-arch-hooks.h
  CC      scripts/mod/empty.o
  HOSTCC  scripts/mod/mk_elfconfig
  HOSTCC  arch/x86/tools/relocs_common.o
  CC      scripts/mod/devicetable-offsets.s
  HOSTLD  arch/x86/tools/relocs
  MKELF   scripts/mod/elfconfig.h
  CHK     scripts/mod/devicetable-offsets.h
  UPD     scripts/mod/devicetable-offsets.h
  HOSTCC  scripts/mod/sumversion.o
  CC      kernel/bounds.s
  CHK     include/generated/timeconst.h
  UPD     include/generated/timeconst.h
  CHK     include/generated/bounds.h
  UPD     include/generated/bounds.h
  HOSTCC  scripts/mod/modpost.o
  CC      arch/x86/kernel/asm-offsets.s
  CHK     include/generated/asm-offsets.h
  UPD     include/generated/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  HOSTCC  scripts/mod/file2alias.o
  HOSTLD  scripts/mod/modpost
  HOSTCC  scripts/selinux/genheaders/genheaders
In file included from scripts/selinux/genheaders/genheaders.c:19:
./security/selinux/include/classmap.h:247:2: error: #error New address family defined, please update secclass_map.
  247 | #error New address family defined, please update secclass_map.
      |  ^~~~~
make[3]: *** [scripts/Makefile.host:90: scripts/selinux/genheaders/genheaders] Error 1
make[2]: *** [scripts/Makefile.build:583: scripts/selinux/genheaders] Error 2
make[1]: *** [scripts/Makefile.build:583: scripts/selinux] Error 2
make: *** [Makefile:566: scripts] Error 2
make: *** Waiting for unfinished jobs....

Comment 70 Ionut Radu 2019-07-08 05:46:25 UTC
The MSI patch does not help.

Comment 71 Heiner Kallweit 2019-07-08 14:18:20 UTC
(In reply to Ionut Radu from comment #69)
> I did some searching and did this:
> 
> % git clone
> git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git
> Cloning into 'linux-stable'...
> remote: Counting objects: 7674291, done.
> remote: Compressing objects: 100% (148160/148160), done.
> remote: Total 7674291 (delta 794284), reused 928212 (delta 788516)
> Receiving objects: 100% (7674291/7674291), 1.38 GiB | 7.84 MiB/s, done.
> Resolving deltas: 100% (6459486/6459486), done.
> Checking out files: 100% (64587/64587), done.
> 
> % cd linux-stable/
> 
> 
> % git tag -l | grep 4.16.16
> v4.16.16
> 
> % git checkout -b my4.16.16 v4.16.16
> 
Check git docu regarding the "bisect" command (or e.g. here: https://git-scm.com/docs/git-bisect).
You don't have to check out manually, git bisect will check out the version to be tested for you.
You just have to tell git a known good and a known bad version.

> % make defconfig
> 
It may be better to use the kernel config used by your Linux distribution. Else the issue might not
be reproducible. It may also help to avoid the following error.

[...]
> In file included from scripts/selinux/genheaders/genheaders.c:19:
> ./security/selinux/include/classmap.h:247:2: error: #error New address
> family defined, please update secclass_map.
>   247 | #error New address family defined, please update secclass_map.
>       |  ^~~~~

Comment 72 Ionut Radu 2019-07-08 17:49:50 UTC

Sorry, but bisecting does not work.

If I issue:

% cp /boot/config-`uname -r`* .config

When compiling I get a lot of questions that I don't know to answer:


Symmetric multi-processing support (SMP) [Y/n/?] y
Support x2apic (X86_X2APIC) [Y/n/?] y
Enable MPS table (X86_MPPARSE) [Y/n/?] y
Avoid speculative indirect branches in kernel (RETPOLINE) [Y/n/?] y
Intel Resource Director Technology support (INTEL_RDT) [Y/n/?] y
Support for extended (non-PC) x86 platforms (X86_EXTENDED_PLATFORM) [Y/n/?] y
Numascale NumaChip (X86_NUMACHIP) [Y/n/?] y
ScaleMP vSMP (X86_VSMP) [N/y/?] n
SGI Ultraviolet (X86_UV) [Y/n/?] y
Goldfish (Virtual Platform) (X86_GOLDFISH) [N/y/?] n
Intel MID platform support (X86_INTEL_MID) [N/y/?] n
Intel Low Power Subsystem Support (X86_INTEL_LPSS) [Y/n/?] y
AMD ACPI2Platform devices support (X86_AMD_PLATFORM_DEVICE) [Y/n/?] y
Intel SoC IOSF Sideband support for SoC platforms (IOSF_MBI) [Y/?] y
  Enable IOSF sideband access through debugfs (IOSF_MBI_DEBUG) [N/y/?] n
Single-depth WCHAN output (SCHED_OMIT_FRAME_POINTER) [Y/n/?] y
Processor family
  1. Opteron/Athlon64/Hammer/K8 (MK8)
  2. Intel P4 / older Netburst based Xeon (MPSC)
  3. Core 2/newer Xeon (MCORE2)
  4. Intel Atom (MATOM)
> 5. Generic-x86-64 (GENERIC_CPU)
choice[1-5?]: 5


If I issue:

% make defconfig

I don't get any questions.

In both cases the kernel does not compile:

In file included from scripts/selinux/mdp/mdp.c:49:
./security/selinux/include/classmap.h:247:2: error: #error New address family defined, please update secclass_map.
  247 | #error New address family defined, please update secclass_map.


By the way, bisect didn't accept v4.16.16, it wanted base version of 4.16.

Ideas?

Comment 73 Ionut Radu 2019-07-09 06:59:29 UTC
I've been able to compile kernel 4.16 by booting from an usb stick with Fedora 28, kernel 4.16.3.
It looks like gcc and glibc on Fedora 30 are too new for the kernel 4.16 compile.

You were right about "make defconfig", the 
kernel compile was very fast, but no module 
was compiled, resulting in mouse not working,
NIC not working, etc.

Funny thing is that kernel 4.16.0, with compiled modules, from which I've 
been forced to start has the NIC issue too.

Comment 74 Ionut Radu 2019-07-10 05:36:31 UTC
Bisecting has failed. None of the 6 kernels tested until now had the good behavior.

Comment 75 Alec 2019-07-10 10:15:27 UTC
Description of problem:
I have freeze after install fresh Fedora 30.
I think it's problem with nouveau and installed proprietary driver NVIDIA 430, and I don't have freeze now, but I have this crash in report everyday. I don't know what's it. 

Version-Release number of selected component:
kernel-core-5.0.9-301.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.0.9-301.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.0.9-301.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp3s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 1250 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic ledtrig_audio intel_rapl snd_hda_intel x86_pkg_temp_thermal intel_powerclamp snd_hda_codec coretemp snd_hda_core snd_hwdep snd_seq kvm_intel kvm iTCO_wdt iTCO_vendor_support irqbypass snd_seq_device snd_pcm eeepc_wmi crct10dif_pclmul crc32_pclmul joydev asus_wmi snd_timer ghash_clmulni_intel sparse_keymap snd intel_cstate intel_uncore soundcore rfkill wmi_bmof intel_rapl_perf mei_me i2c_i801 lpc_ich mei pcc_cpufreq nouveau mxm_wmi i2c_algo_bit drm_kms_helper crc32c_intel ttm drm r8169 wmi video
CPU: 0 PID: 1250 Comm: gdbus Not tainted 5.0.9-301.fc30.x86_64 #1
Hardware name: ASUS All Series/H81M-K, BIOS 3602 03/26/2018
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 b0 6b ae 00 01 e8 ac 61 fc ff 44 89 e1 4c 89 ee 48 c7 c7 a0 75 17 ab 48 89 c2 e8 c6 80 88 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0000:ffff96fedaa03e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff96fed1c1e600 RCX: ffff96fedaa168c0
RDX: 0000000000000007 RSI: 0000000000000006 RDI: ffff96fedaa168c0
RBP: ffff96fed7e16480 R08: 0000000000000001 R09: 0000000000000368
R10: 0000000000013478 R11: 0000000000000003 R12: 0000000000000000
R13: ffff96fed7e16000 R14: 0000000000000001 R15: ffff96fedaa03ee0
FS:  00007f3db3b62700(0000) GS:ffff96fedaa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa003b4f180 CR3: 00000000d36cc002 CR4: 00000000000606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x310
 irq_exit+0x100/0x110
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7f3dc3471630
Code: 6f 26 e9 0e ff ff ff 0f 1f 00 48 63 c1 48 01 f8 c3 66 0f 1f 84 00 00 00 00 00 80 7e 10 00 0f 84 f1 fe ff ff e9 71 cd f3 ff 90 <f3> 0f 1e fa 80 3e 00 0f 84 cb 00 00 00 89 f2 83 e2 0f 75 64 66 0f
RSP: 002b:00007f3db3b61598 EFLAGS: 00000202 ORIG_RAX: ffffffffffffff13
RAX: 0000000000000001 RBX: 00007f3db3b615b0 RCX: 0000000000000000
RDX: 00007f3db3b61580 RSI: 00007f3dc37a475d RDI: 00007f3da40024a2
RBP: 00007f3db3b616d8 R08: 0000000000000001 R09: 00007f3dc3446610
R10: 0000000000000028 R11: 00007f3dc349ae40 R12: 00007f3da40024a2
R13: 000055d84e5e66d0 R14: 00007f3db3b618c0 R15: 00007f3db3b615e8

Comment 76 Heiner Kallweit 2019-07-10 20:19:49 UTC
(In reply to Ionut Radu from comment #56)
> For my other system, the one with realtek nic that works there is a
> different display done by 
> r8169 module:
> 
> [    2.631991] r8169 0000:03:00.0 eth0: RTL8168evl/8111evl,
> 3c:97:0e:c0:8a:4a, XID 2c9, IRQ 29
> 
> The one with the issue has this message:
> 
> [    2.739412] r8169 0000:04:00.1 eth0: RTL8411, 54:ab:3a:c1:d3:c2, XID 5c8,
> IRQ 129

Realtek confirmed an issue that the RX unit on RTL8411b may get confused after PHY having been powered down. They also provided some magic to fix the RX unit.
Could you please test the following patch?

diff --git a/drivers/net/ethernet/realtek/r8169.c b/drivers/net/ethernet/realtek/r8169.c
index d06a61f00..96637fcbe 100644
--- a/drivers/net/ethernet/realtek/r8169.c
+++ b/drivers/net/ethernet/realtek/r8169.c
@@ -5157,6 +5157,143 @@ static void rtl_hw_start_8411_2(struct rtl8169_private *tp)
 	/* disable aspm and clock request before access ephy */
 	rtl_hw_aspm_clkreq_enable(tp, false);
 	rtl_ephy_init(tp, e_info_8411_2);
+
+	/* The following Realtek-provided magic fixes an issue with the RX unit
+	 * getting confused after the PHY having been powered-down.
+	 */
+	r8168_mac_ocp_write(tp, 0xFC28, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC2A, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC2C, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC2E, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC30, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC32, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC34, 0x0000);
+	r8168_mac_ocp_write(tp, 0xFC36, 0x0000);
+	mdelay(3);
+	r8168_mac_ocp_write(tp, 0xFC26, 0x0000);
+
+	r8168_mac_ocp_write(tp, 0xF800, 0xE008);
+	r8168_mac_ocp_write(tp, 0xF802, 0xE00A);
+	r8168_mac_ocp_write(tp, 0xF804, 0xE00C);
+	r8168_mac_ocp_write(tp, 0xF806, 0xE00E);
+	r8168_mac_ocp_write(tp, 0xF808, 0xE027);
+	r8168_mac_ocp_write(tp, 0xF80A, 0xE04F);
+	r8168_mac_ocp_write(tp, 0xF80C, 0xE05E);
+	r8168_mac_ocp_write(tp, 0xF80E, 0xE065);
+	r8168_mac_ocp_write(tp, 0xF810, 0xC602);
+	r8168_mac_ocp_write(tp, 0xF812, 0xBE00);
+	r8168_mac_ocp_write(tp, 0xF814, 0x0000);
+	r8168_mac_ocp_write(tp, 0xF816, 0xC502);
+	r8168_mac_ocp_write(tp, 0xF818, 0xBD00);
+	r8168_mac_ocp_write(tp, 0xF81A, 0x074C);
+	r8168_mac_ocp_write(tp, 0xF81C, 0xC302);
+	r8168_mac_ocp_write(tp, 0xF81E, 0xBB00);
+	r8168_mac_ocp_write(tp, 0xF820, 0x080A);
+	r8168_mac_ocp_write(tp, 0xF822, 0x6420);
+	r8168_mac_ocp_write(tp, 0xF824, 0x48C2);
+	r8168_mac_ocp_write(tp, 0xF826, 0x8C20);
+	r8168_mac_ocp_write(tp, 0xF828, 0xC516);
+	r8168_mac_ocp_write(tp, 0xF82A, 0x64A4);
+	r8168_mac_ocp_write(tp, 0xF82C, 0x49C0);
+	r8168_mac_ocp_write(tp, 0xF82E, 0xF009);
+	r8168_mac_ocp_write(tp, 0xF830, 0x74A2);
+	r8168_mac_ocp_write(tp, 0xF832, 0x8CA5);
+	r8168_mac_ocp_write(tp, 0xF834, 0x74A0);
+	r8168_mac_ocp_write(tp, 0xF836, 0xC50E);
+	r8168_mac_ocp_write(tp, 0xF838, 0x9CA2);
+	r8168_mac_ocp_write(tp, 0xF83A, 0x1C11);
+	r8168_mac_ocp_write(tp, 0xF83C, 0x9CA0);
+	r8168_mac_ocp_write(tp, 0xF83E, 0xE006);
+	r8168_mac_ocp_write(tp, 0xF840, 0x74F8);
+	r8168_mac_ocp_write(tp, 0xF842, 0x48C4);
+	r8168_mac_ocp_write(tp, 0xF844, 0x8CF8);
+	r8168_mac_ocp_write(tp, 0xF846, 0xC404);
+	r8168_mac_ocp_write(tp, 0xF848, 0xBC00);
+	r8168_mac_ocp_write(tp, 0xF84A, 0xC403);
+	r8168_mac_ocp_write(tp, 0xF84C, 0xBC00);
+	r8168_mac_ocp_write(tp, 0xF84E, 0x0BF2);
+	r8168_mac_ocp_write(tp, 0xF850, 0x0C0A);
+	r8168_mac_ocp_write(tp, 0xF852, 0xE434);
+	r8168_mac_ocp_write(tp, 0xF854, 0xD3C0);
+	r8168_mac_ocp_write(tp, 0xF856, 0x49D9);
+	r8168_mac_ocp_write(tp, 0xF858, 0xF01F);
+	r8168_mac_ocp_write(tp, 0xF85A, 0xC526);
+	r8168_mac_ocp_write(tp, 0xF85C, 0x64A5);
+	r8168_mac_ocp_write(tp, 0xF85E, 0x1400);
+	r8168_mac_ocp_write(tp, 0xF860, 0xF007);
+	r8168_mac_ocp_write(tp, 0xF862, 0x0C01);
+	r8168_mac_ocp_write(tp, 0xF864, 0x8CA5);
+	r8168_mac_ocp_write(tp, 0xF866, 0x1C15);
+	r8168_mac_ocp_write(tp, 0xF868, 0xC51B);
+	r8168_mac_ocp_write(tp, 0xF86A, 0x9CA0);
+	r8168_mac_ocp_write(tp, 0xF86C, 0xE013);
+	r8168_mac_ocp_write(tp, 0xF86E, 0xC519);
+	r8168_mac_ocp_write(tp, 0xF870, 0x74A0);
+	r8168_mac_ocp_write(tp, 0xF872, 0x48C4);
+	r8168_mac_ocp_write(tp, 0xF874, 0x8CA0);
+	r8168_mac_ocp_write(tp, 0xF876, 0xC516);
+	r8168_mac_ocp_write(tp, 0xF878, 0x74A4);
+	r8168_mac_ocp_write(tp, 0xF87A, 0x48C8);
+	r8168_mac_ocp_write(tp, 0xF87C, 0x48CA);
+	r8168_mac_ocp_write(tp, 0xF87E, 0x9CA4);
+	r8168_mac_ocp_write(tp, 0xF880, 0xC512);
+	r8168_mac_ocp_write(tp, 0xF882, 0x1B00);
+	r8168_mac_ocp_write(tp, 0xF884, 0x9BA0);
+	r8168_mac_ocp_write(tp, 0xF886, 0x1B1C);
+	r8168_mac_ocp_write(tp, 0xF888, 0x483F);
+	r8168_mac_ocp_write(tp, 0xF88A, 0x9BA2);
+	r8168_mac_ocp_write(tp, 0xF88C, 0x1B04);
+	r8168_mac_ocp_write(tp, 0xF88E, 0xC508);
+	r8168_mac_ocp_write(tp, 0xF890, 0x9BA0);
+	r8168_mac_ocp_write(tp, 0xF892, 0xC505);
+	r8168_mac_ocp_write(tp, 0xF894, 0xBD00);
+	r8168_mac_ocp_write(tp, 0xF896, 0xC502);
+	r8168_mac_ocp_write(tp, 0xF898, 0xBD00);
+	r8168_mac_ocp_write(tp, 0xF89A, 0x0300);
+	r8168_mac_ocp_write(tp, 0xF89C, 0x051E);
+	r8168_mac_ocp_write(tp, 0xF89E, 0xE434);
+	r8168_mac_ocp_write(tp, 0xF8A0, 0xE018);
+	r8168_mac_ocp_write(tp, 0xF8A2, 0xE092);
+	r8168_mac_ocp_write(tp, 0xF8A4, 0xDE20);
+	r8168_mac_ocp_write(tp, 0xF8A6, 0xD3C0);
+	r8168_mac_ocp_write(tp, 0xF8A8, 0xC50F);
+	r8168_mac_ocp_write(tp, 0xF8AA, 0x76A4);
+	r8168_mac_ocp_write(tp, 0xF8AC, 0x49E3);
+	r8168_mac_ocp_write(tp, 0xF8AE, 0xF007);
+	r8168_mac_ocp_write(tp, 0xF8B0, 0x49C0);
+	r8168_mac_ocp_write(tp, 0xF8B2, 0xF103);
+	r8168_mac_ocp_write(tp, 0xF8B4, 0xC607);
+	r8168_mac_ocp_write(tp, 0xF8B6, 0xBE00);
+	r8168_mac_ocp_write(tp, 0xF8B8, 0xC606);
+	r8168_mac_ocp_write(tp, 0xF8BA, 0xBE00);
+	r8168_mac_ocp_write(tp, 0xF8BC, 0xC602);
+	r8168_mac_ocp_write(tp, 0xF8BE, 0xBE00);
+	r8168_mac_ocp_write(tp, 0xF8C0, 0x0C4C);
+	r8168_mac_ocp_write(tp, 0xF8C2, 0x0C28);
+	r8168_mac_ocp_write(tp, 0xF8C4, 0x0C2C);
+	r8168_mac_ocp_write(tp, 0xF8C6, 0xDC00);
+	r8168_mac_ocp_write(tp, 0xF8C8, 0xC707);
+	r8168_mac_ocp_write(tp, 0xF8CA, 0x1D00);
+	r8168_mac_ocp_write(tp, 0xF8CC, 0x8DE2);
+	r8168_mac_ocp_write(tp, 0xF8CE, 0x48C1);
+	r8168_mac_ocp_write(tp, 0xF8D0, 0xC502);
+	r8168_mac_ocp_write(tp, 0xF8D2, 0xBD00);
+	r8168_mac_ocp_write(tp, 0xF8D4, 0x00AA);
+	r8168_mac_ocp_write(tp, 0xF8D6, 0xE0C0);
+	r8168_mac_ocp_write(tp, 0xF8D8, 0xC502);
+	r8168_mac_ocp_write(tp, 0xF8DA, 0xBD00);
+	r8168_mac_ocp_write(tp, 0xF8DC, 0x0132);
+
+	r8168_mac_ocp_write(tp, 0xFC26, 0x8000);
+
+	r8168_mac_ocp_write(tp, 0xFC2A, 0x0743);
+	r8168_mac_ocp_write(tp, 0xFC2C, 0x0801);
+	r8168_mac_ocp_write(tp, 0xFC2E, 0x0BE9);
+	r8168_mac_ocp_write(tp, 0xFC30, 0x02FD);
+	r8168_mac_ocp_write(tp, 0xFC32, 0x0C25);
+	r8168_mac_ocp_write(tp, 0xFC34, 0x00A9);
+	r8168_mac_ocp_write(tp, 0xFC36, 0x012D);
+
 	rtl_hw_aspm_clkreq_enable(tp, true);
 }
 
-- 
2.22.0

Comment 77 Ionut Radu 2019-07-11 20:43:11 UTC
(In reply to Heiner Kallweit from comment #76)
> (In reply to Ionut Radu from comment #56)
> > For my other system, the one with realtek nic that works there is a
> > different display done by 
> > r8169 module:
> > 
> > [    2.631991] r8169 0000:03:00.0 eth0: RTL8168evl/8111evl,
> > 3c:97:0e:c0:8a:4a, XID 2c9, IRQ 29
> > 
> > The one with the issue has this message:
> > 
> > [    2.739412] r8169 0000:04:00.1 eth0: RTL8411, 54:ab:3a:c1:d3:c2, XID 5c8,
> > IRQ 129
> 
> Realtek confirmed an issue that the RX unit on RTL8411b may get confused
> after PHY having been powered down. They also provided some magic to fix the
> RX unit.
> Could you please test the following patch?
> 
> diff --git a/drivers/net/ethernet/realtek/r8169.c
> b/drivers/net/ethernet/realtek/r8169.c
> index d06a61f00..96637fcbe 100644
> --- a/drivers/net/ethernet/realtek/r8169.c
> +++ b/drivers/net/ethernet/realtek/r8169.c
> @@ -5157,6 +5157,143 @@ static void rtl_hw_start_8411_2(struct
> rtl8169_private *tp)
>  	/* disable aspm and clock request before access ephy */
>  	rtl_hw_aspm_clkreq_enable(tp, false);
>  	rtl_ephy_init(tp, e_info_8411_2);
> +
> +	/* The following Realtek-provided magic fixes an issue with the RX unit
> +	 * getting confused after the PHY having been powered-down.
> +	 */
> +	r8168_mac_ocp_write(tp, 0xFC28, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC2A, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC2C, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC2E, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC30, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC32, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC34, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xFC36, 0x0000);
> +	mdelay(3);
> +	r8168_mac_ocp_write(tp, 0xFC26, 0x0000);
> +
> +	r8168_mac_ocp_write(tp, 0xF800, 0xE008);
> +	r8168_mac_ocp_write(tp, 0xF802, 0xE00A);
> +	r8168_mac_ocp_write(tp, 0xF804, 0xE00C);
> +	r8168_mac_ocp_write(tp, 0xF806, 0xE00E);
> +	r8168_mac_ocp_write(tp, 0xF808, 0xE027);
> +	r8168_mac_ocp_write(tp, 0xF80A, 0xE04F);
> +	r8168_mac_ocp_write(tp, 0xF80C, 0xE05E);
> +	r8168_mac_ocp_write(tp, 0xF80E, 0xE065);
> +	r8168_mac_ocp_write(tp, 0xF810, 0xC602);
> +	r8168_mac_ocp_write(tp, 0xF812, 0xBE00);
> +	r8168_mac_ocp_write(tp, 0xF814, 0x0000);
> +	r8168_mac_ocp_write(tp, 0xF816, 0xC502);
> +	r8168_mac_ocp_write(tp, 0xF818, 0xBD00);
> +	r8168_mac_ocp_write(tp, 0xF81A, 0x074C);
> +	r8168_mac_ocp_write(tp, 0xF81C, 0xC302);
> +	r8168_mac_ocp_write(tp, 0xF81E, 0xBB00);
> +	r8168_mac_ocp_write(tp, 0xF820, 0x080A);
> +	r8168_mac_ocp_write(tp, 0xF822, 0x6420);
> +	r8168_mac_ocp_write(tp, 0xF824, 0x48C2);
> +	r8168_mac_ocp_write(tp, 0xF826, 0x8C20);
> +	r8168_mac_ocp_write(tp, 0xF828, 0xC516);
> +	r8168_mac_ocp_write(tp, 0xF82A, 0x64A4);
> +	r8168_mac_ocp_write(tp, 0xF82C, 0x49C0);
> +	r8168_mac_ocp_write(tp, 0xF82E, 0xF009);
> +	r8168_mac_ocp_write(tp, 0xF830, 0x74A2);
> +	r8168_mac_ocp_write(tp, 0xF832, 0x8CA5);
> +	r8168_mac_ocp_write(tp, 0xF834, 0x74A0);
> +	r8168_mac_ocp_write(tp, 0xF836, 0xC50E);
> +	r8168_mac_ocp_write(tp, 0xF838, 0x9CA2);
> +	r8168_mac_ocp_write(tp, 0xF83A, 0x1C11);
> +	r8168_mac_ocp_write(tp, 0xF83C, 0x9CA0);
> +	r8168_mac_ocp_write(tp, 0xF83E, 0xE006);
> +	r8168_mac_ocp_write(tp, 0xF840, 0x74F8);
> +	r8168_mac_ocp_write(tp, 0xF842, 0x48C4);
> +	r8168_mac_ocp_write(tp, 0xF844, 0x8CF8);
> +	r8168_mac_ocp_write(tp, 0xF846, 0xC404);
> +	r8168_mac_ocp_write(tp, 0xF848, 0xBC00);
> +	r8168_mac_ocp_write(tp, 0xF84A, 0xC403);
> +	r8168_mac_ocp_write(tp, 0xF84C, 0xBC00);
> +	r8168_mac_ocp_write(tp, 0xF84E, 0x0BF2);
> +	r8168_mac_ocp_write(tp, 0xF850, 0x0C0A);
> +	r8168_mac_ocp_write(tp, 0xF852, 0xE434);
> +	r8168_mac_ocp_write(tp, 0xF854, 0xD3C0);
> +	r8168_mac_ocp_write(tp, 0xF856, 0x49D9);
> +	r8168_mac_ocp_write(tp, 0xF858, 0xF01F);
> +	r8168_mac_ocp_write(tp, 0xF85A, 0xC526);
> +	r8168_mac_ocp_write(tp, 0xF85C, 0x64A5);
> +	r8168_mac_ocp_write(tp, 0xF85E, 0x1400);
> +	r8168_mac_ocp_write(tp, 0xF860, 0xF007);
> +	r8168_mac_ocp_write(tp, 0xF862, 0x0C01);
> +	r8168_mac_ocp_write(tp, 0xF864, 0x8CA5);
> +	r8168_mac_ocp_write(tp, 0xF866, 0x1C15);
> +	r8168_mac_ocp_write(tp, 0xF868, 0xC51B);
> +	r8168_mac_ocp_write(tp, 0xF86A, 0x9CA0);
> +	r8168_mac_ocp_write(tp, 0xF86C, 0xE013);
> +	r8168_mac_ocp_write(tp, 0xF86E, 0xC519);
> +	r8168_mac_ocp_write(tp, 0xF870, 0x74A0);
> +	r8168_mac_ocp_write(tp, 0xF872, 0x48C4);
> +	r8168_mac_ocp_write(tp, 0xF874, 0x8CA0);
> +	r8168_mac_ocp_write(tp, 0xF876, 0xC516);
> +	r8168_mac_ocp_write(tp, 0xF878, 0x74A4);
> +	r8168_mac_ocp_write(tp, 0xF87A, 0x48C8);
> +	r8168_mac_ocp_write(tp, 0xF87C, 0x48CA);
> +	r8168_mac_ocp_write(tp, 0xF87E, 0x9CA4);
> +	r8168_mac_ocp_write(tp, 0xF880, 0xC512);
> +	r8168_mac_ocp_write(tp, 0xF882, 0x1B00);
> +	r8168_mac_ocp_write(tp, 0xF884, 0x9BA0);
> +	r8168_mac_ocp_write(tp, 0xF886, 0x1B1C);
> +	r8168_mac_ocp_write(tp, 0xF888, 0x483F);
> +	r8168_mac_ocp_write(tp, 0xF88A, 0x9BA2);
> +	r8168_mac_ocp_write(tp, 0xF88C, 0x1B04);
> +	r8168_mac_ocp_write(tp, 0xF88E, 0xC508);
> +	r8168_mac_ocp_write(tp, 0xF890, 0x9BA0);
> +	r8168_mac_ocp_write(tp, 0xF892, 0xC505);
> +	r8168_mac_ocp_write(tp, 0xF894, 0xBD00);
> +	r8168_mac_ocp_write(tp, 0xF896, 0xC502);
> +	r8168_mac_ocp_write(tp, 0xF898, 0xBD00);
> +	r8168_mac_ocp_write(tp, 0xF89A, 0x0300);
> +	r8168_mac_ocp_write(tp, 0xF89C, 0x051E);
> +	r8168_mac_ocp_write(tp, 0xF89E, 0xE434);
> +	r8168_mac_ocp_write(tp, 0xF8A0, 0xE018);
> +	r8168_mac_ocp_write(tp, 0xF8A2, 0xE092);
> +	r8168_mac_ocp_write(tp, 0xF8A4, 0xDE20);
> +	r8168_mac_ocp_write(tp, 0xF8A6, 0xD3C0);
> +	r8168_mac_ocp_write(tp, 0xF8A8, 0xC50F);
> +	r8168_mac_ocp_write(tp, 0xF8AA, 0x76A4);
> +	r8168_mac_ocp_write(tp, 0xF8AC, 0x49E3);
> +	r8168_mac_ocp_write(tp, 0xF8AE, 0xF007);
> +	r8168_mac_ocp_write(tp, 0xF8B0, 0x49C0);
> +	r8168_mac_ocp_write(tp, 0xF8B2, 0xF103);
> +	r8168_mac_ocp_write(tp, 0xF8B4, 0xC607);
> +	r8168_mac_ocp_write(tp, 0xF8B6, 0xBE00);
> +	r8168_mac_ocp_write(tp, 0xF8B8, 0xC606);
> +	r8168_mac_ocp_write(tp, 0xF8BA, 0xBE00);
> +	r8168_mac_ocp_write(tp, 0xF8BC, 0xC602);
> +	r8168_mac_ocp_write(tp, 0xF8BE, 0xBE00);
> +	r8168_mac_ocp_write(tp, 0xF8C0, 0x0C4C);
> +	r8168_mac_ocp_write(tp, 0xF8C2, 0x0C28);
> +	r8168_mac_ocp_write(tp, 0xF8C4, 0x0C2C);
> +	r8168_mac_ocp_write(tp, 0xF8C6, 0xDC00);
> +	r8168_mac_ocp_write(tp, 0xF8C8, 0xC707);
> +	r8168_mac_ocp_write(tp, 0xF8CA, 0x1D00);
> +	r8168_mac_ocp_write(tp, 0xF8CC, 0x8DE2);
> +	r8168_mac_ocp_write(tp, 0xF8CE, 0x48C1);
> +	r8168_mac_ocp_write(tp, 0xF8D0, 0xC502);
> +	r8168_mac_ocp_write(tp, 0xF8D2, 0xBD00);
> +	r8168_mac_ocp_write(tp, 0xF8D4, 0x00AA);
> +	r8168_mac_ocp_write(tp, 0xF8D6, 0xE0C0);
> +	r8168_mac_ocp_write(tp, 0xF8D8, 0xC502);
> +	r8168_mac_ocp_write(tp, 0xF8DA, 0xBD00);
> +	r8168_mac_ocp_write(tp, 0xF8DC, 0x0132);
> +
> +	r8168_mac_ocp_write(tp, 0xFC26, 0x8000);
> +
> +	r8168_mac_ocp_write(tp, 0xFC2A, 0x0743);
> +	r8168_mac_ocp_write(tp, 0xFC2C, 0x0801);
> +	r8168_mac_ocp_write(tp, 0xFC2E, 0x0BE9);
> +	r8168_mac_ocp_write(tp, 0xFC30, 0x02FD);
> +	r8168_mac_ocp_write(tp, 0xFC32, 0x0C25);
> +	r8168_mac_ocp_write(tp, 0xFC34, 0x00A9);
> +	r8168_mac_ocp_write(tp, 0xFC36, 0x012D);
> +
>  	rtl_hw_aspm_clkreq_enable(tp, true);
>  }
>  
> -- 
> 2.22.0

Great, this patch is good.

Comment 78 supeecyborg 2019-07-12 06:45:46 UTC
Description of problem:
Got error right after boot.

Version-Release number of selected component:
kernel-core-5.1.16-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.1.16-300.fc30.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb acpi_backlight=vendor
crash_function: qdisc_put_unlocked
kernel:         5.1.16-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp5s0 (r8169): transmit queue 0 timed out
WARNING: CPU: 0 PID: 18355 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ccm ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables sunrpc uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media rtsx_usb_ms intel_rapl memstick x86_pkg_temp_thermal intel_powerclamp snd_hda_codec_hdmi coretemp arc4 snd_hda_codec_realtek kvm_intel ath9k snd_hda_codec_generic kvm ledtrig_audio ath9k_common ath9k_hw snd_hda_intel irqbypass snd_hda_codec mac80211 iTCO_wdt snd_hda_core crct10dif_pclmul iTCO_vendor_support snd_hwdep crc32_pclmul ath snd_seq cfg80211 ghash_clmulni_intel lpc_ich snd_seq_device snd_pcm
 mei_hdcp ideapad_laptop mei_me sparse_keymap mei intel_cstate snd_timer intel_uncore snd rfkill i2c_i801 soundcore intel_rapl_perf wmi_bmof joydev pcc_cpufreq i915 rtsx_usb_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm crc32c_intel serio_raw r8169 ata_generic rtsx_usb pata_acpi wmi video
CPU: 0 PID: 18355 Comm: gnome-control-c Not tainted 5.1.16-300.fc30.x86_64 #1
Hardware name: LENOVO                           IdeaPad Z470    /KL6                             , BIOS 4ACN33WW   05/05/2011
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 b2 33 ad 00 01 e8 dc 71 fb ff 44 89 e1 4c 89 ee 48 c7 c7 18 7c 18 8b 48 89 c2 e8 c6 0d 87 ff <0f> 0b eb bf 0f 1f 00 66 66 66 66 90 48 c7 47 08 00 00 00 00 48 c7
RSP: 0000:ffff95bd6b203e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff95bcec62f800 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff95bd6b2168c0
RBP: ffff95bc707a6480 R08: ffff95bd6b203d35 R09: 0000000000000acb
R10: ffffffff8b9c8140 R11: ffff95bd6b203d35 R12: 0000000000000000
R13: ffff95bc707a6000 R14: 0000000000000000 R15: ffff95bd6b203ed8
FS:  00007f4c1602cd00(0000) GS:ffff95bd6b200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055e9f5422ff8 CR3: 000000010c83c004 CR4: 00000000000606f0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7f4c212ba9f0
Code: 25 a5 54 10 00 0f 1f 44 00 00 f3 0f 1e fa f2 ff 25 9d 54 10 00 0f 1f 44 00 00 f3 0f 1e fa f2 ff 25 95 54 10 00 0f 1f 44 00 00 <f3> 0f 1e fa f2 ff 25 8d 54 10 00 0f 1f 44 00 00 f3 0f 1e fa f2 ff
RSP: 002b:00007fffeba9e038 EFLAGS: 00000283 ORIG_RAX: ffffffffffffff13
RAX: 000055e9f2bc8fd0 RBX: 0000000000000800 RCX: 000000000000000b
RDX: 00000000000007f0 RSI: 0000000000000800 RDI: 00007fffeba9e040
RBP: 0000000000000080 R08: 0000000000000000 R09: 0000000000000000
R10: 0000000000000001 R11: 00007fffeba9e360 R12: 0000000000000038
R13: 0000000000000007 R14: 000055e9f2b88a48 R15: 000055e9f2b88c90

Comment 79 Heiner Kallweit 2019-07-16 15:31:40 UTC
For RTL8411B (XID 5c8) this issue should be fixed with fe4e8db0392a ("r8169: fix issue with confused RX unit after PHY power-down on RTL8411b").

Comment 80 Rubén Lledó 2019-07-25 19:59:43 UTC
*** Bug 1733362 has been marked as a duplicate of this bug. ***

Comment 81 Tomi Leppänen 2019-07-29 10:41:13 UTC
*** Bug 1733960 has been marked as a duplicate of this bug. ***

Comment 82 Elrohir 2019-07-30 14:48:31 UTC
Description of problem:
I was using waterfox and playing a video. In the meantime, deluge was checking torrent files in the background (which puts heavy load on the disk). There's nothing else that I'm awared of. 

Version-Release number of selected component:
kernel-core-5.1.16-300.fc30

Additional info:
reporter:       libreport-2.10.0
cmdline:        BOOT_IMAGE=(hd4,gpt2)/vmlinuz-5.1.16-300.fc30.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.16-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp0s20f0u6 (r8152): transmit queue 0 timed out
WARNING: CPU: 5 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: uinput xt_state nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_conntrack_pptp nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_CHECKSUM tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_MASQUERADE ipt_MASQUERADE ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter nct6775 hwmon_vid sunrpc vfat fat fuse snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core pktcdvd snd_hwdep ses joydev enclosure snd_seq intel_rapl snd_seq_device snd_pcm scsi_transport_sas x86_pkg_temp_thermal snd_timer intel_powerclamp mei_hdcp snd
 coretemp mei_wdt iTCO_wdt mei_me iTCO_vendor_support soundcore kvm_intel mei i2c_i801 eeepc_wmi kvm asus_wmi sparse_keymap irqbypass rfkill mxm_wmi wmi_bmof crct10dif_pclmul crc32_pclmul ppdev ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf pcc_cpufreq acpi_pad parport_pc parport binfmt_misc ip_tables amdgpu chash gpu_sched amd_iommu_v2 hid_logitech_hidpp hid_logitech_dj radeon i2c_algo_bit drm_kms_helper ttm drm crc32c_intel r8169 serio_raw wmi video uas r8152 usb_storage mii
CPU: 5 PID: 0 Comm: swapper/5 Not tainted 5.1.16-300.fc30.x86_64 #1
Hardware name: TSINGHUA TONGFANG COMPUTER Q170-4S/Q170-4S, BIOS A420AP0 03/22/2016
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 b2 33 ad 00 01 e8 dc 71 fb ff 44 89 e1 4c 89 ee 48 c7 c7 18 7c 18 87 48 89 c2 e8 c6 0d 87 ff <0f> 0b eb bf 0f 1f 00 0f 1f 44 00 00 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff965ee5343e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff965ed7650e00 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff965ee53568c0
RBP: ffff965ed91c1480 R08: 0000000000000001 R09: 000000000000043b
R10: ffffffff879d4ff0 R11: 0000000000000003 R12: 0000000000000000
R13: ffff965ed91c1000 R14: 0000000000000000 R15: ffff965ee5343ed8
FS:  0000000000000000(0000) GS:ffff965ee5340000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fbaefdcb000 CR3: 00000003a220e006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? timerqueue_add+0x56/0x90
 ? enqueue_hrtimer+0x36/0x90
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x450
Code: e8 11 d6 94 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 61 03 00 00 31 ff e8 d3 a5 9a ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 88 8c 02 00 00 49 63 cc 4c 2b 6c 24 10 48 8d 04 49 48
RSP: 0018:ffffa4ab031ebe88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff965ee53613c0 RBX: ffffffff872d6fa0 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 00000000258f0602 RDI: 0000000000000000
RBP: ffff965ee536b900 R08: 0001e362da9a2518 R09: 000000000000128a
R10: ffff965ee5360244 R11: ffff965ee5360224 R12: 0000000000000002
R13: 0001e362da9a2518 R14: 0000000000000002 R15: ffff965ee1458000
 ? cpuidle_enter_state+0x9f/0x450
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x17d/0x1d0
 secondary_startup_64+0xa4/0xb0

Comment 83 Diego Evaldt Silveira 2019-08-04 03:02:28 UTC
Description of problem:
Não sei o porque do erro.

Version-Release number of selected component:
kernel-core-5.1.20-300.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.1.20-300.fc30.x86_64 root=UUID=18e95aef-0625-43a4-8aa7-a8a81daf0a63 ro resume=UUID=fc8e4f0a-b66d-481c-898d-b36069aa66bd rhgb quiet
crash_function: qdisc_put_unlocked
kernel:         5.1.20-300.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
NETDEV WATCHDOG: enp19s0 (atl1c): transmit queue 0 timed out
WARNING: CPU: 3 PID: 0 at net/sched/sch_generic.c:460 dev_watchdog+0x1e9/0x1f0
Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables sunrpc arc4 brcmsmac brcmutil b43 snd_hda_codec_idt snd_hda_codec_generic snd_hda_intel cordic mac80211 snd_hda_codec snd_hda_core cfg80211 snd_hwdep snd_seq intel_powerclamp ssb snd_seq_device mmc_core snd_pcm snd_timer snd coretemp kvm_intel soundcore dell_laptop ledtrig_audio rfkill iTCO_wdt kvm bcma irqbypass iTCO_vendor_support dell_wmi intel_cstate lpc_ich dell_smbios intel_ips dcdbas dell_smm_hwmon pcc_cpufreq wmi_bmof dell_wmi_descriptor mei_me sparse_keymap joydev intel_uncore i2c_i801 mei
 acpi_cpufreq i915 i2c_algo_bit crc32c_intel drm_kms_helper serio_raw drm atl1c wmi video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 5.1.20-300.fc30.x86_64 #1
Hardware name: Dell Inc. Inspiron N4030/0R2XK8, BIOS A07 03/23/2011
RIP: 0010:dev_watchdog+0x1e9/0x1f0
Code: 48 63 55 e0 eb 93 4c 89 ef c6 05 e2 c4 cc 00 01 e8 fc 64 fb ff 44 89 e1 4c 89 ee 48 c7 c7 b0 cc 18 9d 48 89 c2 e8 a6 a2 86 ff <0f> 0b eb bf 0f 1f 00 66 66 66 66 90 48 c7 47 08 00 00 00 00 48 c7
RSP: 0018:ffff888f35b83e88 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff888f2e3e4400 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: ffff888f2e593480 R08: ffff888f35b968c8 R09: 00000000000014a0
R10: ffffffff9dbdde1c R11: 0000000000000003 R12: 0000000000000000
R13: ffff888f2e593000 R14: 0000000000000000 R15: ffff888f35b83ed8
FS:  0000000000000000(0000) GS:ffff888f35b80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fae958271c8 CR3: 000000019040e003 CR4: 00000000000206e0
Call Trace:
 <IRQ>
 ? qdisc_put_unlocked+0x30/0x30
 call_timer_fn+0x2b/0x130
 run_timer_softirq+0x3bd/0x440
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x80/0x80
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc1/0x420
Code: 90 31 ff e8 a1 7b 94 ff 80 7c 24 0f 00 74 17 9c 58 66 66 90 66 90 f6 c4 02 0f 85 39 03 00 00 31 ff e8 33 54 9a ff fb 66 66 90 <66> 66 90 45 85 e4 0f 89 cf 01 00 00 c7 45 08 00 00 00 00 48 83 c4
RSP: 0018:ffffa3e840cd7e88 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff888f35ba13c0 RBX: ffffffff9d4d6fe0 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 0000000032a7264c RDI: 0000000000000000
RBP: ffff888f35bab800 R08: 000008e865d0e3b5 R09: 0000000000002e1f
R10: ffff888f35ba0244 R11: ffff888f35ba0224 R12: 0000000000000004
R13: 000008e865d0e3b5 R14: 0000000000000004 R15: ffff888f346e5a00
 ? cpuidle_enter_state+0x9f/0x420
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x17d/0x1d0
 secondary_startup_64+0xa4/0xb0

Comment 84 Artemio 2019-08-04 18:57:01 UTC
*** Bug 1737260 has been marked as a duplicate of this bug. ***

Comment 85 toadtech7 2019-08-08 04:03:30 UTC
Description of problem:
This issue might be when the wireless nic woke up from sleep state, I did not experience any adverse impart and would not have noticed anything amis apart from this automated error report.  Thank you all very much for this leep distro, I had amost given up on support for this particular set of WiFi drivers which are working great! :)

Version-Release number of selected component:
kernel-core-5.2.5-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,msdos1)/vmlinuz-5.2.5-200.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: call_timer_fn
kernel:         5.2.5-200.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 0 at drivers/net/wireless/realtek/rtw88/tx.c:156 rtw_tx_report_purge_timer+0x20/0x50 [rtw88]
Modules linked in: ccm fuse xt_CHECKSUM xt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables bnep sunrpc intel_rapl arc4 intel_powerclamp coretemp rtwpci kvm_intel rtw88 mac80211 mei_hdcp kvm snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio btusb snd_hda_intel snd_hda_codec uvcvideo btrtl videobuf2_vmalloc btbcm cfg80211 snd_hda_core videobuf2_memops videobuf2_v4l2 irqbypass snd_hwdep btintel bluetooth videobuf2_common snd_seq crct10dif_pclmul crc32_pclmul videodev snd_seq_device joydev snd_pcm ghash_clmulni_intel intel_cstate media
 hp_wmi ecdh_generic wmi_bmof ecc sparse_keymap snd_timer rtsx_pci_ms rfkill snd memstick i2c_i801 mei_txe mei intel_xhci_usb_role_switch roles processor_thermal_device soundcore lpc_ich intel_soc_dts_iosf hp_wireless dw_dmac int3400_thermal int3403_thermal acpi_thermal_rel pcc_cpufreq int340x_thermal_zone intel_int0002_vgpio i915 mmc_block rtsx_pci_sdmmc hid_multitouch i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw r8152 rtsx_pci mii wmi sdhci_acpi sdhci video mmc_core pwm_lpss_platform i2c_hid pwm_lpss
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 5.2.5-200.fc30.x86_64 #1
Hardware name: HP HP Stream Laptop 11-ak1xxx/85E9, BIOS F.07 04/18/2019
RIP: 0010:rtw_tx_report_purge_timer+0x20/0x50 [rtw88]
Code: 84 00 00 00 00 00 0f 1f 40 00 0f 1f 44 00 00 8b 47 f0 85 c0 75 01 c3 41 54 55 53 48 89 fb 48 c7 c7 48 55 a9 c0 e8 9f f2 69 c8 <0f> 0b 4c 8d 63 d8 4c 89 e7 e8 32 80 f8 c8 48 8d 7b e0 48 89 c5 e8
RSP: 0018:ffffb9bc4073ce80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8dd079063200 RCX: 0000000000000000
RDX: 0000000000040400 RSI: 00000000000000f6 RDI: 0000000000000300
RBP: 0000000000000000 R08: ffff8dd07bb17908 R09: 00000000000002f4
R10: ffffffff8abe8d78 R11: 0000000000000003 R12: ffff8dd079063200
R13: ffffffffc0a3f150 R14: ffff8dd079063200 R15: 0000000000000001
FS:  0000000000000000(0000) GS:ffff8dd07bb00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000095d4da26810 CR3: 000000016640a000 CR4: 00000000001006e0
Call Trace:
 <IRQ>
 call_timer_fn+0x2d/0x130
 run_timer_softirq+0x17d/0x4a0
 ? tick_sched_handle+0x22/0x60
 ? tick_sched_timer+0x38/0x80
 ? tick_sched_do_timer+0x70/0x70
 __do_softirq+0xed/0x30e
 irq_exit+0xf1/0x100
 smp_apic_timer_interrupt+0x76/0x140
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xc4/0x420
Code: e8 a1 94 93 ff 80 7c 24 0f 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 39 03 00 00 31 ff e8 f3 7d 99 ff fb 66 0f 1f 44 00 00 <45> 85 e4 0f 89 cf 01 00 00 c7 45 10 00 00 00 00 48 83 c4 18 44 89
RSP: 0018:ffffb9bc406d3e68 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff8dd07bb29400 RBX: ffffffff8a4d51c0 RCX: 000000000000001f
RDX: 0000000000000000 RSI: 000000007b13b13b RDI: 0000000000000000
RBP: ffff8dd07bb33d00 R08: 0000196eff9694fd R09: 0000000000019458
R10: ffff8dd07bb28284 R11: ffff8dd07bb28264 R12: 0000000000000005
R13: 0000196eff9694fd R14: 0000000000000005 R15: ffff8dd07a84bc00
 ? cpuidle_enter_state+0x9f/0x420
 cpuidle_enter+0x29/0x40
 do_idle+0x1dd/0x260
 cpu_startup_entry+0x19/0x20
 start_secondary+0x17d/0x1d0
 secondary_startup_64+0xa4/0xb0


Note You need to log in before you can comment on or make changes to this bug.